
#ifndef _1_CRYS_ATP_TST_AES_Acceptance_test_vectors_h_H
#define _1_CRYS_ATP_TST_AES_Acceptance_test_vectors_h_H

#if TST_USE_AES_DATA/*In case no test vectors are selected - code disabled*/

/* 
 * All the includes that are needed for code using this module to
 * compile correctly should be #included here.
 */

#ifdef __cplusplus
extern "C"
{
#endif

  /*
   *  Object %name    : %
   *  State           :  %state%
   *  Creation date   :  Thu Dec 09 10:43:04 2004
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief A brief description of this module
   *
   *  \version CRYS_ATP_TST_AES_Acceptance_test_vectors.h#1:incl:1
   *  \author doronp,miris
   *  \remarks Copyright (C) 2007 by Discretix Technologies Ltd.
   *           All Rights reserved
   */
  

/******** Defines **********/
/******** Enums ************/
/******** Typedefs  **********/
/******** Structs  **********/
/******** Public Variables ********/
extern TST_AES_TestDataStruct 	 		TST_AES_Acceptance_TestData[];
extern TST_AES_MAC_TestDataStruct       TST_AES_MAC_Acceptance_TestData[];
extern TST_AES_MAC_TestDataStruct       TST_AES_XCBC_CMAC_Acceptance_TestData[];
extern TST_AES_KeyWrap_TestDataStruct   TST_ARS_KeyWrap_Acceptance_TestData[];
extern TST_AES_XTS_TestDataStruct		TST_AES_XTS_Acceptance_TestData[];
#ifndef CRYS_NO_AESCCM_SUPPORT
extern TST_AES_CCM_TestDataStruct    TST_AES_CCM_Acceptance_TestData[];
#endif

extern const int				        TST_NumberOf_AES_AcceptanceTests;
extern const int				        TST_NumberOfMACAcceptanceTests;
extern const int				        TST_NumberOfXCBCMACAcceptanceTests;
extern const int				        TST_NumberOfKeyWrapAcceptanceTests;
extern const int				        TST_NumberOf_AES_XTS_AcceptanceTests;
extern const int                TST_NumberOfAESCCMAcceptanceTests;  

#if TST_USE_SECRETKEY_TESTS
extern TST_AES_SecreteKeyTestDataStruct TST_AES_Acceptance_SK_TestData[];
extern const int TST_NumberOf_AES_AcceptanceTestsSK;
#endif

/******** Public Functions ********/


#ifdef __cplusplus
}
#endif

#endif

#endif

