
  /*
   *  Object %name    : %
   *  State           :  %state%
   *  Creation date   :  Mon Nov 29 19:51:53 2007
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief A brief description of this module
   *
   *  \version CRYS_ATP_TST_CSI_MAIN.c#1:csrc:1
   *  \author Annag
   *  \remarks Copyright (C) 2007 by Discretix Technologies Ltd.
   *           All Rights reserved
   */
/* disabling pc lint warning regarding to constant condition :
   'Constant value Boolean' */
/*lint --e{506} */

/***** Include Files ******/
#include "CRYS.h"

#include "CRYS_ATP_TST_Defines.h"
#include "CRYS_ATP_TST_CSI_Acceptance.h"
#include "CRYS_ATP_TST_UTIL_Funcs.h"

#include <stdio.h>
#include "DX_VOS_Mem.h"
#if TST_USE_CSI_DATA /*In case no test vectors are selected - code disabled*/
/******** Defines ********/
/******** Enums **********/
/******** Typedefs *********/
/******** Global Data ********/
/***** Private function prototype ******/
CRYSError_t CRYS_ATP_TST_CSI_Acceptance_ALL_TESTS(void);


/******** Public Functions *****/
void CRYS_ATP_TST_CSI_main(void)
{
  DxUint8_t  Var;

  do
   {
	   do
	   {
	           ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"\n\n\n--[ CSI tests Menu ]----------------------------------"));
	           ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"\n [1] - Acceptance of DES SCI NON integrated operations"));
	           ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"\n [2] - Acceptance of AES SCI NON integrated operations"));
	           ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"\n [3] - Acceptance of HASH SCI NON integrated operations"));
	           ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"\n [4] - Acceptance of HMAC SCI NON integrated operations"));
	           ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"\n [5] - Acceptance of DES SCI integrated operation"));
	           ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"\n [6] - Acceptance of AES SCI integrated operation"));
	           ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"\n [7] - Acceptance of HASH SCI integrated operation"));
	           ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"\n [8] - Acceptance of HMAC SCI integrated operation"));
	           
	           ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"\n [T] - ALL OTF Acceptance tests                      "));
			   ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"\n [Z] - End of tests return to prev menu			   "));
	           ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"\n-----------------------------------------------------\n\n"));
	           scanf("\n%c",&Var);
	           ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"\n Test = %c\n",Var));
	           if (Var<='Z')
	                    break;
	           else
	           {
	                 ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"\n Error[%d]  Please select '1'-'XX'\n\n",Var));
	           }

	    }while(1);


	    switch(Var)
	    {
		  	case '1':
				    CRYS_ATP_TST_DESCSI_Acceptance_NON_integrated();
				    break;
	        case '2':
	                CRYS_ATP_TST_AESCSI_Acceptance_NON_integrated();
	                break;
	        case '3':
                    CRYS_ATP_TST_HASHCSI_Acceptance_NON_integrated();            	                    	    
                    break;
            case '4':
                    CRYS_ATP_TST_HMACCSI_Acceptance_NON_integrated();            	                    	    
                    break;                    
            case '5':
                    CRYS_ATP_TST_DESCSI_Acceptance_Integrated();            	                    	    
                    break;                                        
            case '6':
                    CRYS_ATP_TST_AESCSI_Acceptance_Integrated();            	                    	    
                    break;
            case '7':
                    CRYS_ATP_TST_HASHCSI_Acceptance_Integrated();            	                    	    
                    break;                    
            case '8':
                    CRYS_ATP_TST_HMACCSI_Acceptance_Integrated();            	                    	    
                    break;                                                                                                    
		    case 'T':
		  			CRYS_ATP_TST_CSI_Acceptance_ALL_TESTS();
				    break;
	       	case 'Z':
	                ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"\n End of OTF tests \n"));
	                break ;

	       	default:
	              ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"\n* Error in test selection [%c]\n",Var));
	    }
	       if(Var =='Z')
	       break;
     }while (1);
}


/******** Private Functions **********/
/***************************
 * Function Name:
 * 	CRYS_ATP_TST_CSI_Acceptance_ALL_TESTS
 *
 * Inputs:
 * 	none
 *
 * Outputs:
 * 	CRYSError_t - Function error return
 *
 * Description:
 * This function runs all of the CSI Acceptance tests
 *
 **************************/
CRYSError_t CRYS_ATP_TST_CSI_Acceptance_ALL_TESTS(void)
{
    CRYSError_t TST_ATP_OTF_Error = TESTPASS;

    
    TST_ATP_Error = CRYS_ATP_TST_DESCSI_Acceptance_NON_integrated();
    TST_ATP_OTF_Error = TST_ATP_OTF_Error+TST_ATP_Error;
    
    TST_ATP_Error = CRYS_ATP_TST_AESCSI_Acceptance_NON_integrated();
    TST_ATP_OTF_Error = TST_ATP_OTF_Error+TST_ATP_Error;
    
    TST_ATP_Error = CRYS_ATP_TST_HASHCSI_Acceptance_NON_integrated();  
    TST_ATP_OTF_Error = TST_ATP_OTF_Error+TST_ATP_Error;
    
    TST_ATP_Error = CRYS_ATP_TST_HMACCSI_Acceptance_NON_integrated();  
    TST_ATP_OTF_Error = TST_ATP_OTF_Error+TST_ATP_Error;
    
    
    TST_ATP_Error = CRYS_ATP_TST_DESCSI_Acceptance_Integrated();
    TST_ATP_OTF_Error = TST_ATP_OTF_Error+TST_ATP_Error;
    
    TST_ATP_Error = CRYS_ATP_TST_AESCSI_Acceptance_Integrated();
    TST_ATP_OTF_Error = TST_ATP_OTF_Error+TST_ATP_Error;
    
    TST_ATP_Error = CRYS_ATP_TST_HASHCSI_Acceptance_Integrated();  
    TST_ATP_OTF_Error = TST_ATP_OTF_Error+TST_ATP_Error;
    
    TST_ATP_Error = CRYS_ATP_TST_HMACCSI_Acceptance_Integrated();  
    TST_ATP_OTF_Error = TST_ATP_OTF_Error+TST_ATP_Error;              	                    	    
    
    
    #if CRYS_ATP_TST_EXIT_SYS_TST_ON_ERROR
	    if (TST_ATP_OTF_Error != TESTPASS)
			    return 	TST_ATP_OTF_Error;
    #endif

    
	/*Check if all tests pass*/
	if (TST_ATP_OTF_Error != TESTPASS)
	{
		ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"\n\n!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\n"));
		ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"!!!!!!!!! ONE OR MORE OF THE CSI TESTS FAILED !!!!!!!!!!!!!!!!!!!!\n"));
		ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\n"));
	}
	else
	{
		ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"\n \n**********************\n"));
		ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"**********************\n"));
		ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"*** ALL OF THE CSI Acceptance TESTS PASS   :-)         ***\n"));
		ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"**********************\n"));
		ATP_LOG_TST_PRINT((CRYS_ATP_TST_MSG,"**********************\n"));
	}
	
	return TST_ATP_OTF_Error;

}


#endif

