
  /*
   *  Object %name    : %
   *  State           :  %state%
   *  Creation date   :  Mon Nov 29 18:42:53 2007
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief A brief description of this module
   *
   *  \version CRYS_ATP_TST_main.c#1:csrc:1
   *  \author doronp
   *  \remarks Copyright (C) 2007 by Discretix Technologies Ltd.
   *           All Rights reserved
   */

/* disabling pc lint warning regarding to constant condition :
   'Constant value Boolean' */
/*lint --e{506} */
/*lint --e(553) */
/*lint --e(713) */
/***** Include Files **************/


#include "CRYS.h"

#include "MW_ATP_defines.h"
#include "MW_ATP_define_flags.h"
#include "MW_ATP_UTIL_funcs.h"
#include "CRYS_ATP_TST_Defines.h"
#include "CRYS_ATP_TST_UTIL_Funcs.h"
#include "CRYS_ATP_TST_main.h"
#include "DX_VOS_Mem.h"
#include "DX_VOS_File.h"

/******** Defines ************/
extern DxError_t CRYS_ATP_menu(void);

/******** Enums ************/
/******** Typedefs ***********/
/******** Global Data **********/

/******** Public Functions *********/

 #if CRYS_QA_ATP_TST

 int main(int argc, char *argv[])

 #else

 CRYSError_t CRYS_ATP_TST_main (int argc, char *argv[])

 #endif  /* CRYS_QA_ATP_TST */
 {
    CRYSError_t        TST_Status = TESTPASS ;
    
    /* Handle Command Line Arguments */
    TST_Status = MW_ATP_UTIL_ParseArgs(argc,argv);
    TST_Status = TST_ATP_CheckErrorReturn(TST_Status,
                                             "MW_ATP_UTIL_ParseArgs",
                                             "!!!!!!!!!",
                                             "!!!!!!!!!");
	MW_ATP_RETURN_ON_FAILURE(TST_Status);

   
    
    /* Init CRYS */
    TST_Status = MW_ATP_UTIL_Init_CRYS();
    TST_Status = TST_ATP_CheckErrorReturn(TST_Status,
                                             "MW_ATP_UTIL_Init_CRYS",
                                             "!!!!!!!!!",
                                             "!!!!!!!!!");
	MW_ATP_RETURN_ON_FAILURE(TST_Status);
   
    
    /* Start CRYS_ATP and its Menu */
    TST_Status = CRYS_ATP_menu();
    
    
    return TST_Status;
 }/* End of CRYS_ATP_TST_main*/

