
  /*
   *  Object %name    : %
   *  State           :  %state%
   *  Creation date   :  Tue Nov 15 10:19:22 2007
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief A brief description of this module
   *
   *  \version CRYS_ATP_TST_DESFLOW_Acceptance_test_vectors.c#1:csrc:1
   *  \author 
   *  \remarks Copyright (C) 2007 by Discretix Technologies Ltd.
   *           All Rights reserved
   */
/* disabling pc lint warning regarding to few initializers in braces :
   Too few initializers for aggregate 'unknown-name' */
/*lint --e{785} */   
   
/***************************
 * File Name:                                                           
 *  RYS_SYS_TST_DESFLOW_Acceptance_test_vectors.c       
 *
 * Description:                                                                 
 *  This file contatind the test vectors used for OTF Acceptance tests                              
 *
 **************************/
 
 
 /***** Include Files ******/
#include "CRYS_ATP_TST_DESFLOW_Acceptance.h"
#include "CRYS_ATP_TST_Defines.h"

#if TST_USE_FLOW_DATA/*In case no test vectors are selected - code disabled*/


/******** Defines ********/
/******** Enums **********/
/******** Typedefs *********/
/******** Global Data ********/
/***** Private function prototype ******/
/****** **** Public Functions *****/
/******** Private Functions ******/
/*****************************/
/************** External Key Vectors  ********/
/*****************************/


TST_DESFLOW_TestDataStruct TST_DESFLOW_Acceptance_TestData[] =
{
        /************/
        /*        FLOW vectors         */
        /************/
	#if TST_USE_FLOW_DES_ECBMode_DATA
	{ 
		{"Acceptance flow test - DES/ECB/1-Key/512ByteData "},
			/* input interrupt id */
			4,

			/* output interrupt id */
			5,

			/* if the data in the buffers are in words and not bytes */ 
			0,

			/* number of input buffers */
			4,

			/* flag if  endian order of the input buffers is big */
			0,

			/* number of output buffers */
			4,
			0,
			/* TST_Expected_output_data */
		{
			0xAC,0x84,0xA4,0x0F,0xEF,0x57,0x03,0x60,0x60,0x28,0x21,0x9C,0x7F,0x63,0xB8,0x45,
			0x19,0x6F,0x8A,0x4F,0xE3,0xA5,0x7D,0x23,0xBF,0xE1,0x4C,0xBE,0x88,0x24,0x7C,0x80,
			0x22,0x0E,0xF9,0xAB,0xBF,0xFD,0x0F,0xEF,0x09,0x66,0x41,0x59,0x7C,0x10,0x45,0x2B,
			0x49,0x0E,0xEC,0xDB,0x0F,0x69,0xB8,0x2A,0x5F,0x16,0xA0,0xA5,0x14,0x48,0x24,0xAB,
			0xCD,0x3B,0x3A,0xB9,0x23,0x97,0x1A,0x5D,0xCC,0x2B,0x97,0x15,0x69,0x16,0x86,0x9B,
			0x02,0x43,0xDA,0x7F,0x60,0x02,0xDD,0x4B,0xE2,0x02,0x18,0x0F,0x9F,0x16,0x4D,0x38,
			0xE2,0x2E,0x5C,0x65,0x2D,0x9D,0x20,0x6F,0x2B,0x78,0xAA,0x77,0xF0,0x2F,0x6F,0xF7,
			0xD2,0x72,0x98,0x66,0xFB,0xA3,0xF2,0xE8,0x6B,0xA8,0x4B,0xE9,0xD7,0x54,0x3F,0x53,
			0xB2,0x40,0x2F,0xC1,0x92,0x17,0xE9,0x34,0xF0,0x2C,0x25,0xE1,0x68,0x2C,0x8D,0x98,
			0x6B,0x20,0x38,0x54,0xB9,0xCD,0xE5,0xE4,0xF0,0x46,0xD7,0x91,0x41,0x35,0x84,0x82,
			0xA0,0xE0,0x00,0x44,0xE6,0x69,0x0A,0x64,0x24,0x3D,0x9A,0xB4,0xC6,0xFE,0x1C,0x03,
			0x7E,0x70,0x97,0x1A,0xCF,0xAE,0xE1,0x38,0xF0,0xFD,0xE2,0x0D,0x9D,0xDC,0x29,0x9A,
			0xD3,0xBE,0x0F,0xD2,0x1C,0x9C,0xBA,0xA1,0x29,0xD2,0xC0,0x5E,0x5F,0x33,0x3A,0xAD,
			0x2C,0xED,0x8F,0x45,0x39,0xBB,0x74,0x41,0x6F,0xCE,0xEE,0xE3,0x59,0xF7,0x98,0x9C,
			0x8B,0x2C,0xC6,0xD3,0xCA,0x6A,0x21,0x43,0x60,0xAE,0x84,0x84,0x40,0x7C,0x52,0xAF,
			0x1B,0x10,0xE8,0x08,0x2B,0xC0,0xCE,0x3B,0x06,0xBC,0x76,0x91,0xBE,0xAA,0x63,0xAE,
			0xEE,0x5E,0xA8,0xC7,0xE7,0xD6,0xB7,0xBE,0x9E,0xAB,0xEF,0x41,0x2B,0xBD,0x79,0xC2,
			0x64,0xC8,0xDE,0x7E,0x53,0xF7,0x03,0xE8,0x0E,0x1D,0x61,0xE8,0x07,0x61,0x7D,0x3E,
			0xAE,0x0D,0xF4,0x44,0x09,0x2A,0xE7,0x62,0x90,0xC0,0x64,0xCE,0x95,0x03,0x50,0x85,
			0xAA,0x85,0xFE,0x69,0x36,0x71,0x61,0xC6,0xC6,0xC2,0x86,0x46,0x0F,0x9F,0x38,0x8C,
			0x11,0xCC,0x78,0xA1,0x0D,0x1A,0x11,0xAB,0x17,0x99,0xD8,0xE6,0xC4,0x50,0x8E,0x96,
			0x3B,0x1B,0xDC,0xAA,0xE2,0x2C,0xB5,0x6B,0xD3,0xC2,0xB7,0x40,0x75,0x40,0x6D,0xDF,
			0x23,0x80,0xE7,0xA3,0xD9,0x11,0x06,0x75,0xC2,0x83,0xC8,0x28,0x7C,0xAF,0xB6,0xDC,
			0x8B,0xEB,0x62,0x71,0xBA,0x28,0x8E,0xAD,0xED,0x1B,0xEC,0x63,0xBD,0x14,0x6D,0x19,
			0x6D,0x2B,0xD1,0xA7,0x1E,0xC8,0x73,0xCA,0x5B,0x6F,0xEF,0x4E,0x6F,0xBE,0x5C,0x2D,
			0x6A,0x06,0x20,0x4B,0xD7,0xB3,0x86,0xCE,0x85,0xC7,0x2C,0x1D,0x19,0x40,0xC9,0x03,
			0xA6,0x0E,0x47,0x18,0xB3,0x0B,0x3F,0x95,0x89,0x7F,0x3C,0x4B,0xE4,0xA6,0xD1,0x9A,
			0x4F,0xB4,0x01,0xA8,0xB2,0x30,0x65,0xC9,0xDE,0xDE,0x2B,0x5C,0x81,0xCF,0xE0,0x97,
			0x7F,0x2D,0x05,0x17,0x11,0xFB,0xF3,0x92,0x78,0xEE,0xF2,0xF9,0x04,0xAB,0x4C,0x45,
			0x9C,0x69,0x4D,0x4A,0x4E,0x81,0x83,0xF7,0x4E,0x62,0x00,0xC3,0x99,0xED,0xB9,0xF0,
			0x5B,0x9C,0x62,0x10,0x35,0x89,0x70,0xB1,0x01,0x81,0xA2,0x46,0x7F,0x8C,0x25,0x7B,
			0xDF,0x7B,0x1D,0xF3,0x5D,0xE6,0x31,0x0C,0x3F,0xC8,0x37,0x43,0x50,0xB0,0x20,0x6B
		},
		/* TST_Expected_cyclicOperation_data */
		{
		    0xAC,0x84,0xA4,0x0F,0xEF,0x57,0x03,0x60,0x60,0x28,0x21,0x9C,0x7F,0x63,0xB8,0x45,
            0x19,0x6F,0x8A,0x4F,0xE3,0xA5,0x7D,0x23,0xBF,0xE1,0x4C,0xBE,0x88,0x24,0x7C,0x80,
            0x22,0x0E,0xF9,0xAB,0xBF,0xFD,0x0F,0xEF,0x09,0x66,0x41,0x59,0x7C,0x10,0x45,0x2B,
            0x49,0x0E,0xEC,0xDB,0x0F,0x69,0xB8,0x2A,0x5F,0x16,0xA0,0xA5,0x14,0x48,0x24,0xAB,
            0xCD,0x3B,0x3A,0xB9,0x23,0x97,0x1A,0x5D,0xCC,0x2B,0x97,0x15,0x69,0x16,0x86,0x9B,
            0x02,0x43,0xDA,0x7F,0x60,0x02,0xDD,0x4B,0xE2,0x02,0x18,0x0F,0x9F,0x16,0x4D,0x38,
            0xE2,0x2E,0x5C,0x65,0x2D,0x9D,0x20,0x6F,0x2B,0x78,0xAA,0x77,0xF0,0x2F,0x6F,0xF7,
            0xD2,0x72,0x98,0x66,0xFB,0xA3,0xF2,0xE8,0x6B,0xA8,0x4B,0xE9,0xD7,0x54,0x3F,0x53,
            0xB2,0x40,0x2F,0xC1,0x92,0x17,0xE9,0x34,0xF0,0x2C,0x25,0xE1,0x68,0x2C,0x8D,0x98,
            0x6B,0x20,0x38,0x54,0xB9,0xCD,0xE5,0xE4,0xF0,0x46,0xD7,0x91,0x41,0x35,0x84,0x82,
            0xA0,0xE0,0x00,0x44,0xE6,0x69,0x0A,0x64,0x24,0x3D,0x9A,0xB4,0xC6,0xFE,0x1C,0x03,
            0x7E,0x70,0x97,0x1A,0xCF,0xAE,0xE1,0x38,0xF0,0xFD,0xE2,0x0D,0x9D,0xDC,0x29,0x9A,
            0xD3,0xBE,0x0F,0xD2,0x1C,0x9C,0xBA,0xA1,0x29,0xD2,0xC0,0x5E,0x5F,0x33,0x3A,0xAD,
            0x2C,0xED,0x8F,0x45,0x39,0xBB,0x74,0x41,0x6F,0xCE,0xEE,0xE3,0x59,0xF7,0x98,0x9C,
            0x8B,0x2C,0xC6,0xD3,0xCA,0x6A,0x21,0x43,0x60,0xAE,0x84,0x84,0x40,0x7C,0x52,0xAF,
            0x1B,0x10,0xE8,0x08,0x2B,0xC0,0xCE,0x3B,0x06,0xBC,0x76,0x91,0xBE,0xAA,0x63,0xAE,
            0xAC,0x84,0xA4,0x0F,0xEF,0x57,0x03,0x60,0x60,0x28,0x21,0x9C,0x7F,0x63,0xB8,0x45,
            0x19,0x6F,0x8A,0x4F,0xE3,0xA5,0x7D,0x23,0xBF,0xE1,0x4C,0xBE,0x88,0x24,0x7C,0x80,
            0x22,0x0E,0xF9,0xAB,0xBF,0xFD,0x0F,0xEF,0x09,0x66,0x41,0x59,0x7C,0x10,0x45,0x2B,
            0x49,0x0E,0xEC,0xDB,0x0F,0x69,0xB8,0x2A,0x5F,0x16,0xA0,0xA5,0x14,0x48,0x24,0xAB,
            0xCD,0x3B,0x3A,0xB9,0x23,0x97,0x1A,0x5D,0xCC,0x2B,0x97,0x15,0x69,0x16,0x86,0x9B,
            0x02,0x43,0xDA,0x7F,0x60,0x02,0xDD,0x4B,0xE2,0x02,0x18,0x0F,0x9F,0x16,0x4D,0x38,
            0xE2,0x2E,0x5C,0x65,0x2D,0x9D,0x20,0x6F,0x2B,0x78,0xAA,0x77,0xF0,0x2F,0x6F,0xF7,
            0xD2,0x72,0x98,0x66,0xFB,0xA3,0xF2,0xE8,0x6B,0xA8,0x4B,0xE9,0xD7,0x54,0x3F,0x53,
            0xB2,0x40,0x2F,0xC1,0x92,0x17,0xE9,0x34,0xF0,0x2C,0x25,0xE1,0x68,0x2C,0x8D,0x98,
            0x6B,0x20,0x38,0x54,0xB9,0xCD,0xE5,0xE4,0xF0,0x46,0xD7,0x91,0x41,0x35,0x84,0x82,
            0xA0,0xE0,0x00,0x44,0xE6,0x69,0x0A,0x64,0x24,0x3D,0x9A,0xB4,0xC6,0xFE,0x1C,0x03,
            0x7E,0x70,0x97,0x1A,0xCF,0xAE,0xE1,0x38,0xF0,0xFD,0xE2,0x0D,0x9D,0xDC,0x29,0x9A,
            0xD3,0xBE,0x0F,0xD2,0x1C,0x9C,0xBA,0xA1,0x29,0xD2,0xC0,0x5E,0x5F,0x33,0x3A,0xAD,
            0x2C,0xED,0x8F,0x45,0x39,0xBB,0x74,0x41,0x6F,0xCE,0xEE,0xE3,0x59,0xF7,0x98,0x9C,
            0x8B,0x2C,0xC6,0xD3,0xCA,0x6A,0x21,0x43,0x60,0xAE,0x84,0x84,0x40,0x7C,0x52,0xAF,
            0x1B,0x10,0xE8,0x08,0x2B,0xC0,0xCE,0x3B,0x06,0xBC,0x76,0x91,0xBE,0xAA,0x63,0xAE
		},
		/*TST_Key*/
		{{0x01, 0x23, 0x45, 0x67, 0x89, 0xab, 0xcd, 0xef},
		 {0,0}, 
		 {0,0}},
		CRYS_DES_1_KeyInUse,
		/*TST_IvCounter*/
		{0},
		CRYS_DES_ECB_mode,
	},
	#endif
	#if TST_USE_FLOW_DES_CBCMode_DATA
	{ 
		{"Acceptance flow test - DES/CBC/1-Key/512ByteData "},
		/* input interrupt id */
		4,

		/* output interrupt id */
		5,

		/* if the data in the buffers are in words and not bytes */ 
		0,

		/* number of input buffers */
		4,

		/* flag if  endian order of the input buffers is big */
		0,

		/* number of output buffers */
		4,
		0,
		/* TST_Expected_output_data */
		{
			0xF2,0xE6,0x8D,0x2B,0x49,0x10,0xF6,0x73,0x92,0x3A,0xB4,0xCE,0xBC,0x2B,0xE7,0x2C,
			0xD7,0x8C,0x59,0xEE,0x6F,0xF0,0x2A,0x3E,0xAF,0xC2,0x96,0xC8,0x17,0x5C,0x01,0xE7,
			0xE2,0xFD,0xBF,0x43,0x58,0x2C,0x1A,0x72,0x85,0x13,0x0E,0x61,0x69,0x30,0x44,0x33,
			0xB7,0x41,0xBE,0xD5,0x69,0x18,0xC2,0x7E,0x3C,0x8E,0xED,0x81,0xDC,0x80,0xFC,0x15,
			0xFA,0x00,0xEF,0xC9,0x5F,0x67,0xA7,0x27,0x05,0x9A,0xFB,0x87,0x9D,0x30,0x21,0x90,
			0x8E,0x35,0x44,0xB3,0x90,0x6F,0x45,0x95,0xD1,0x96,0xE4,0x54,0x8F,0x30,0x34,0xB2,
			0x49,0x23,0x0C,0xBA,0x43,0x95,0xF0,0x67,0xA6,0x01,0x6D,0x53,0xC8,0xDD,0x9D,0x71,
			0x89,0x6B,0x9F,0x9A,0x1E,0x5B,0xAF,0x11,0xA5,0x0D,0x3B,0x0C,0xAC,0x92,0xD4,0x09,
			0x9F,0x03,0x01,0xE5,0xC2,0xAC,0x61,0x57,0xBA,0xBE,0x15,0xC6,0x01,0x44,0xA8,0x84,
			0x62,0x77,0xC7,0xFC,0xD2,0xBC,0xE6,0x83,0x17,0x95,0x76,0x47,0xF9,0xBC,0xC2,0xF4,
			0x16,0xB3,0x9A,0x1B,0x88,0xCF,0xB1,0x18,0x9C,0x2B,0xF9,0x46,0x33,0xDC,0x71,0x7A,
			0x56,0x07,0x54,0x7C,0x63,0xA7,0xB1,0xD2,0x8D,0x9F,0x67,0x35,0x86,0x57,0x31,0x46,
			0x5A,0xF7,0xAC,0x20,0x8F,0xD0,0x07,0x1E,0xE4,0x31,0x42,0x65,0x9A,0xE2,0x3F,0x4F,
			0xD7,0xC9,0x46,0xDA,0x7B,0x78,0x03,0x68,0x41,0x38,0xC8,0x6F,0x23,0x55,0xBA,0xA2,
			0x31,0xD0,0x7A,0x89,0xFE,0xC9,0xA9,0xF2,0x65,0xF2,0xD5,0xB1,0x8D,0x0C,0x03,0x4D,
			0x5A,0xDC,0x01,0x15,0xD9,0xBA,0x01,0x62,0xC7,0xD4,0xBE,0xDB,0xEE,0x79,0x07,0x66,
			0xBC,0xE0,0xAD,0x2C,0x55,0xD5,0xE6,0x7E,0x49,0xBB,0xB4,0xC5,0x19,0xD5,0xFD,0x0D,
			0x3C,0x5F,0x4D,0x86,0x81,0x5D,0xF6,0x72,0x14,0x4C,0x50,0x9B,0x74,0x81,0x7D,0xD7,
			0xE7,0x7A,0xF8,0x1C,0x90,0x52,0xF3,0x66,0x80,0xA4,0x0F,0xB1,0x87,0x12,0x18,0xAC,
			0xDC,0x7E,0x41,0xBD,0x82,0x90,0x0E,0xC2,0x9D,0xCD,0x7A,0xAB,0x87,0x7B,0x03,0xEF,
			0xD2,0xC7,0xF5,0x71,0x75,0xDB,0x49,0x5E,0xA6,0x92,0x83,0xBB,0xCC,0xF9,0xFF,0xC9,
			0x89,0x46,0x82,0x1A,0xD1,0x04,0x81,0x74,0xD6,0x1F,0x7B,0x6C,0x8D,0x0D,0x8B,0x36,
			0x74,0xD9,0x8F,0xCA,0x75,0x5A,0x6B,0xDE,0xA4,0x67,0xB6,0x02,0x5D,0x3F,0x03,0x1C,
			0x12,0x4F,0x91,0x66,0x09,0x6D,0x72,0xFB,0xEA,0xC4,0x4C,0x8D,0x7F,0xD8,0x9F,0xD7,
			0xC6,0x12,0x78,0x2C,0x20,0x05,0x0A,0x21,0x73,0x49,0x55,0x8D,0xD4,0x38,0xE4,0x4B,
			0x49,0x1A,0xEC,0xF6,0x80,0x90,0x71,0x30,0x6E,0x10,0x69,0x87,0xB9,0xC8,0x61,0x30,
			0xB6,0x99,0x2D,0xAB,0x27,0xAA,0x44,0x0A,0xA7,0xDF,0xF9,0x9A,0x42,0x83,0xEA,0x9E,
			0x2F,0xEC,0xFA,0x5F,0x9D,0xEF,0x8A,0x0D,0xBB,0x03,0xBB,0xBF,0x42,0x9B,0xA8,0xB2,
			0xB8,0x40,0x63,0x2B,0x2F,0x54,0x4B,0x2D,0x1E,0xFA,0xDE,0x75,0x6E,0x87,0x69,0xD6,
			0x5E,0x17,0xD5,0x8D,0xD2,0x47,0xA7,0xC9,0xBE,0x5C,0xAB,0x45,0x9B,0x4B,0x60,0x38,
			0x92,0x51,0x17,0x6C,0x97,0x5D,0xAB,0x36,0x25,0x5B,0x9F,0x32,0x6E,0x0F,0x60,0xA0,
			0xE7,0x8F,0xF3,0x05,0x37,0xE3,0x57,0xD0,0xD5,0xB1,0x97,0x09,0xEC,0xC5,0x99,0xCA
		},
		/* TST_Expected_cyclicOperation_data */
		{
		    0xF2,0xE6,0x8D,0x2B,0x49,0x10,0xF6,0x73,0x92,0x3A,0xB4,0xCE,0xBC,0x2B,0xE7,0x2C,
            0xD7,0x8C,0x59,0xEE,0x6F,0xF0,0x2A,0x3E,0xAF,0xC2,0x96,0xC8,0x17,0x5C,0x01,0xE7,
            0xE2,0xFD,0xBF,0x43,0x58,0x2C,0x1A,0x72,0x85,0x13,0x0E,0x61,0x69,0x30,0x44,0x33,
            0xB7,0x41,0xBE,0xD5,0x69,0x18,0xC2,0x7E,0x3C,0x8E,0xED,0x81,0xDC,0x80,0xFC,0x15,
            0xFA,0x00,0xEF,0xC9,0x5F,0x67,0xA7,0x27,0x05,0x9A,0xFB,0x87,0x9D,0x30,0x21,0x90,
            0x8E,0x35,0x44,0xB3,0x90,0x6F,0x45,0x95,0xD1,0x96,0xE4,0x54,0x8F,0x30,0x34,0xB2,
            0x49,0x23,0x0C,0xBA,0x43,0x95,0xF0,0x67,0xA6,0x01,0x6D,0x53,0xC8,0xDD,0x9D,0x71,
            0x89,0x6B,0x9F,0x9A,0x1E,0x5B,0xAF,0x11,0xA5,0x0D,0x3B,0x0C,0xAC,0x92,0xD4,0x09,
            0x9F,0x03,0x01,0xE5,0xC2,0xAC,0x61,0x57,0xBA,0xBE,0x15,0xC6,0x01,0x44,0xA8,0x84,
            0x62,0x77,0xC7,0xFC,0xD2,0xBC,0xE6,0x83,0x17,0x95,0x76,0x47,0xF9,0xBC,0xC2,0xF4,
            0x16,0xB3,0x9A,0x1B,0x88,0xCF,0xB1,0x18,0x9C,0x2B,0xF9,0x46,0x33,0xDC,0x71,0x7A,
            0x56,0x07,0x54,0x7C,0x63,0xA7,0xB1,0xD2,0x8D,0x9F,0x67,0x35,0x86,0x57,0x31,0x46,
            0x5A,0xF7,0xAC,0x20,0x8F,0xD0,0x07,0x1E,0xE4,0x31,0x42,0x65,0x9A,0xE2,0x3F,0x4F,
            0xD7,0xC9,0x46,0xDA,0x7B,0x78,0x03,0x68,0x41,0x38,0xC8,0x6F,0x23,0x55,0xBA,0xA2,
            0x31,0xD0,0x7A,0x89,0xFE,0xC9,0xA9,0xF2,0x65,0xF2,0xD5,0xB1,0x8D,0x0C,0x03,0x4D,
            0x5A,0xDC,0x01,0x15,0xD9,0xBA,0x01,0x62,0xC7,0xD4,0xBE,0xDB,0xEE,0x79,0x07,0x66,
            0xFE,0xA6,0x16,0x19,0xDE,0x19,0x07,0x33,0x0E,0x62,0x85,0x96,0xB8,0x3C,0xE9,0xB5,
            0x9D,0xD7,0xEE,0x26,0xDB,0x46,0x8E,0x10,0x74,0xF1,0xF0,0xB3,0xF4,0xE4,0x4D,0xD1,
            0x81,0xA8,0xA3,0x77,0x5F,0xD7,0x37,0xF3,0x97,0x86,0x35,0xE7,0x67,0xCB,0xF4,0xD0,
            0x76,0xCB,0x8A,0x03,0xC9,0xC0,0x71,0x1B,0xDF,0x80,0xF9,0x29,0x1D,0x00,0xCC,0x23,
            0xB7,0xDC,0x09,0xCD,0x76,0xB0,0x1E,0x9A,0xD7,0x35,0x70,0x8A,0x32,0x47,0x61,0x53,
            0xA1,0xF1,0xCF,0x80,0x49,0x5E,0xC4,0x84,0x31,0xAE,0xE2,0x6A,0x74,0x1C,0x36,0xEB,
            0x44,0x7A,0x54,0x18,0x95,0xA9,0x8E,0x29,0xA4,0x1D,0xF4,0xCE,0xB2,0xAE,0xA2,0x22,
            0x9B,0xBE,0xB7,0xE5,0x8D,0x48,0x4C,0xD2,0xC9,0xD8,0xCB,0x23,0xD7,0x8B,0x0D,0x2B,
            0xD5,0xA7,0x3B,0x41,0xF8,0xCE,0xF3,0xAB,0x29,0x5C,0xB2,0xDB,0x02,0x87,0x74,0x07,
            0xA5,0xE5,0xB9,0xDA,0x99,0xB3,0x66,0x8D,0x0E,0x9C,0x7B,0xC0,0xEE,0xE7,0x69,0x0D,
            0xB9,0xC3,0xAE,0xE1,0x03,0xE7,0x13,0x78,0xBA,0x0B,0x75,0x6F,0x5C,0x55,0xE6,0xAB,
            0x26,0xAF,0x69,0xB8,0x7D,0xE8,0x02,0x9F,0x8F,0x87,0x70,0xE0,0x43,0x1D,0x69,0x10,
            0x94,0x33,0x21,0xA1,0x8C,0xA9,0x53,0x40,0xB4,0x27,0x5F,0x8F,0x40,0xD1,0x75,0x3E,
            0x02,0x9A,0xE8,0xC5,0xE0,0x66,0xD0,0x52,0x43,0xE0,0x63,0x5A,0x4D,0xA1,0x20,0x05,
            0xDE,0xE4,0xC9,0x95,0x15,0x70,0x3A,0xC0,0xC5,0x17,0x45,0x7B,0xF5,0x87,0x45,0x7D,
            0x6D,0xE4,0x30,0x69,0xD4,0xF2,0xB2,0x31,0x00,0x3D,0xCB,0xB4,0xCC,0xB4,0xE4,0x76
		},
		/*TST_Key*/
		{{0x01, 0x23, 0x45, 0x67, 0x89, 0xab, 0xcd, 0xef},
		{0,0}, 
		{0,0}},
		CRYS_DES_1_KeyInUse,
		/*TST_IvCounter*/
		{0x00,0x01,0x02,0x03,0x04,0x05,0x06,0x07},
		CRYS_DES_CBC_mode,
		},
	#endif

};

const int TST_NumberOf_DESFLOW_AcceptanceTests      = sizeof(TST_DESFLOW_Acceptance_TestData)/sizeof(TST_DESFLOW_Acceptance_TestData[0]);

#endif

