
  /*
   *  Object %name    : %
   *  State           :  %state%
   *  Creation date   :  Tue Nov 30 10:19:22 2004
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief A brief description of this module
   *
   *  \version CRYS_ATP_TST_AES_Acceptance_test_vectors.c#1:csrc:1
   *  \author doronp
   *  \remarks Copyright (C) 2007 by Discretix Technologies Ltd.
   *           All Rights reserved
   */
/* disabling pc lint warning regarding to few initializers in braces :
   Too few initializers for aggregate 'unknown-name' */
/*lint --e{785} */   
   
/***************************
 * File Name:                                                           
 *  RYS_SYS_TST_AES_Acceptance_test_vectors.c       
 *
 * Description:                                                                 
 *  This file contatind the test vectors used for AES Acceptance tests                              
 *
 **************************/
 /***** Include Files ******/
#include "CRYS_ATP_TST_Defines.h"
#include "CRYS_ATP_TST_RND_Acceptance.h"

#if TST_USE_RND_DATA/*In case no test vectors are selected - code disabled*/

/******** Defines ********/
/******** Enums **********/
/******** Typedefs *********/
/******** Global Data ********/
   

/***** Private function prototype ******/
/****** **** Public Functions *****/
/******** Private Functions ******/
/*****************************/
/************** External Key Vectors  ********/
/*****************************/
#ifdef RND_KAT_TEST_MODE_FOR_VER_21
TST_PRNGInstantiation_TestDataStruct TST_PRNGInstantiation_Acceptance_TestData[] =
{
    { 
        {"Acceptance test - PRNGInstantiation "},
		//TST_FirstEntropy[8];
		{0xd6,0x26,0xb7,0x41,0x7a,0x2a,0xd4,0x0a},
		//TST_Entropy[16];
		{0x23,0xd5,0x9d,0x14,0x37,0x6a,0xa2,0x15, 0x90,0x1c,0x37,0xed,0x32,0x2a,0xbf,0x50},
		//TST_AdditionalInput1[16];
		{0xf6,0xc4,0xfa,0x8f,0x6e,0x35,0x0c,0x37,0x4b,0x6c,0xe4,0x60,0x2d,0x03,0x5f,0x13},
		//TST_AdditionalInput2[16];
		{0x4f,0x90,0xa8,0x7d,0xfc,0xc4,0x16,0x27,0x78,0x1e,0x6f,0xf7,0xdc,0x68,0x2c,0x6a},
		//TST_ExpResult1[8];
		{0x3b,0x31,0xaf,0x7c,0xc6,0x5b,0xf4,0x11},
		//TST_ExpResult2[8];
		{0x41,0x21,0x63,0xe4,0x6b,0xc4,0xf6,0xd1}   
    }
    
};

TST_PRNGReSeeding_TestDataStruct TST_PRNGReSeeding_Acceptance_TestData[] =
{
	{ 
		{"Acceptance test - PRNGReSeeding "},
			//TST_FirstEntropy[8];
		{0x9c,0x0e,0xe4,0x27,0x8f,0xa1,0xef,0x42},
		//TST_Entropy[16];
		{0xcb,0x6f,0xe6,0x2a,0xd4,0xf2,0xdb,0xa9,0xcd,0x4f,0x62,0x33,0x60,0x5f,0xb2,0xf5},
		//TST_ReSeedingEntropy1[16];
		{0x87,0x9f,0xd2,0x2f,0xad,0xfb,0x6d,0xb7,0x02,0x91,0xf9,0x5e,0x98,0x68,0x6e,0x0e},
		//TST_ReSeedingEntropy2[16];
		{0x5b,0x54,0x5d,0x61,0x34,0xbe,0x69,0xf0,0xe8,0x4b,0xb7,0x34,0x56,0xd7,0x63,0x1c},
		//TST_ReSeedingAddInput[16];
		{0x31,0x69,0x63,0x8e,0x17,0xd5,0xa6,0x87,0x62,0xf2,0xbc,0xe0,0x90,0x51,0x1b,0xab},
		//TST_ReSeedingResultStep1[8];
		//TST_ExpResult1[8];
		{0xe9,0xd2,0xac,0x60,0x11,0x8a,0x8e,0x7a},
		//TST_ExpResult2[8];
		{0xf8,0x9f,0x9c,0x6c,0xb7,0x64,0x6a,0xad}   
    }
    

};
#endif			




#endif

