/*! \file 
**********************************************************************************	
* Title:						Discretix SST API header file						 					
*																			
* Filename:					    sst.h															
*																			
* Project, Target, subsystem:	SST 6.0, API
* 
* Created:						29.03.2007														
*
* Modified:						07.06.2007										
*
* \Author						Raviv levi														
*																			
* \Remarks						
*           Copyright (C) 2006 by Discretix Technologies Ltd. All Rights reserved.
**********************************************************************************/


#ifndef _DX_SST_API_H_
    #define _DX_SST_API_H_
#ifdef __cplusplus
extern "C" {
#endif
	/*----------- Doxygen Main Page text -----------------------------------------*/
	/*! \mainpage SST6 API
			
			<h1>SST6 API Documentation</h1>
			<p>
				<img width="268" height="148" src="DxLogo.jpg">
			</p>
			<P class="ConfidentialNotice" style="TEXT-ALIGN: justify">
				This document may be used 
				in its complete form only and is solely for the use of Discretix employees and 
                authorized Discretix channels or customers. The material herein is proprietary 
                to Discretix Ltd., any unauthorized reproduction of any part thereof is 
                strictly prohibited. The contents of this document are believed to be accurate 
				at the time of distribution. Discretix reserves the right to alter this 
				information at any time without notice. The primary distribution media of this 
				document is soft copy.
			</P>
			</DIV>
	**/

	/*----------- Global Includes ------------------------------------------------*/
    #include "DX_VOS_BaseTypes.h" 
    /*----------- SST Internal Includes ------------------------------------------*/
    #include "sst_version.h"
    #include "sst_authentication.h"
    #include "sst_data_operations.h"
    #include "sst_data_iterators.h"
    #include "sst_key_management.h"
    #include "sst_errors.h"
    #include "sst_init_terminate.h"
	#include "sst_utility.h"
    #include "sst_mm.h"
    /*----------- Global defines -------------------------------------------------*/
   

#ifdef __cplusplus
}
#endif
#endif  /* _DX_SST_API_H_ */




