
  /*
   *  Object %name    : %
   *  State           :  %state%
   *  Creation date   :  Mon Nov 29 18:42:53 2007
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief A brief description of this module
   *
   *  \version ExtApp_ATP_main.c#1:csrc:1
   *  \author doronp
   *  \remarks Copyright (C) 2007 by Discretix Technologies Ltd.
   *           All Rights reserved
   */

/* disabling pc lint warning regarding to constant condition :
   'Constant value Boolean' */
/*lint --e{506} */
/*lint --e(553) */
/*lint --e(713) */
/***** Include Files **************/


#include "CRYS.h"

#include "MW_ATP_defines.h"
#include "MW_ATP_define_flags.h"
#include "MW_ATP_UTIL_funcs.h"
#include "ExtApp_ATP_main.h"
#include "DX_VOS_Mem.h"
#include "DX_VOS_File.h"
/******** Defines ************/
extern DxError_t EXTApp_ATP_menu(void);
/******** Enums ************/
/******** Typedefs ***********/
/******** Global Data **********/
/******** Public Functions *********/

 #if SDK_QA_Ext_ATP_TST

 int main(int argc, char *argv[])

 #else

 CRYSError_t ExtApp_ATP_main (int argc, char *argv[])

 #endif  /* SDK_QA_Ext_ATP_TST */
 {

    /* Handle Command Line Arguments */
    TST_ATP_Error = MW_ATP_UTIL_ParseArgs(argc,argv);
    TST_ATP_Error = TST_ATP_CheckErrorReturn(TST_ATP_Error,
                                             "MW_ATP_UTIL_ParseArgs",
                                             "!!!!!!!!!",
                                             "!!!!!!!!!");
	MW_ATP_RETURN_ON_FAILURE(TST_ATP_Error);

    /* Init CRYS */
    TST_ATP_Error = MW_ATP_UTIL_Init_CRYS();
    TST_ATP_Error = TST_ATP_CheckErrorReturn(TST_ATP_Error,
                                             "MW_ATP_UTIL_Init_CRYS",
                                             "!!!!!!!!!",
                                             "!!!!!!!!!");
	MW_ATP_RETURN_ON_FAILURE(TST_ATP_Error);
    
    /* Start CRYS_ATP and its Menu */
    TST_ATP_Error = EXTApp_ATP_menu();
    
    
    return TST_ATP_Error;
 }/* End of ExtApp_ATP_main*/

