#ifndef  CRYS_SST_EXT_ATP_ASYM_H
#define  CRYS_SST_EXT_ATP_ASYM_H

/*
 * All the includes that are needed for code using this module to
 * compile correctly should be #included here.
 */
 #include "SST_Ext_DEFINES.h"

#ifdef __cplusplus
extern "C"
{
#endif

  /*
   *  Object %name    : %
   *  State           :  %state%
   *  Creation date   :  Mon Mar 19 12:06:34 2009
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief A brief description of this module
   *
   *  \version CRYS_SST_Ext_ATP_Asym.h#1:incl:1
   *  \author taniam
   *  \remarks Copyright (C) 2007 by Discretix Technologies Ltd.
   *           All Rights reserved
   */



/************************ Public Functions *********************/
/*****************************************************************************
 * Function Name:                                                           
 *  CRYS_SST_Ext_ATP_RSA         
 * 
 * Inputs:
 *  None
 *
 * Outputs:
 *  DxError_t - Function error return                                        
 *
 * Description:                                                                 
 *    Test the connection between CRYS and the SSTfunctionality while using SST RSA generated keys
 *    in the CRYS_SST module 
 *  
 * Algorithm:       
 *    1.    Call to HOSTQA_ATP_Message function
 *
 *******************************************************************************/ 
  
DxError_t CRYS_SST_Ext_ATP_RSA  ( void );
/*****************************************************************************
 * Function Name:                                                           
 *  CRYS_SST_Ext_ATP_RSA_OAEP_ENCDEC         
 * 
 * Inputs:
 *  None
 *
 * Outputs:
 *  DxError_t - Function error return                                        
 *
 * Description:                                                                 
 *    Test the connection between CRYS and the SSTfunctionality while using SST RSA generated keys
 *    in the CRYS_SST module 
 *  
 * Algorithm:       
 *    1.    Call to HOSTQA_ATP_Message function
 *
 *******************************************************************************/ 
  
DxError_t CRYS_SST_Ext_ATP_RSA_OAEP_ENCDEC  ( void );


/*****************************************************************************
 * Function Name:                                                           
 *  CRYS_SST_Ext_ATP_RSA_Prim         
 * 
 * Inputs:
 *  None
 *
 * Outputs:
 *  DxError_t - Function error return                                        
 *
 * Description:                                                                 
 *    Test the connection between CRYS and the SSTfunctionality while using SST RSA generated keys
 *    in the CRYS_SST module 
 *  
 * Algorithm:       
 *    1.    Call to HOSTQA_ATP_Message function 
 *
 *******************************************************************************/ 
  
DxError_t CRYS_SST_Ext_ATP_RSA_Prim  ( void );

#ifdef __cplusplus
}
#endif

#endif
