#ifndef SST_EXT_ATP_ROLLBACK_H
#define SST_EXT_ATP_ROLLBACK_H


#include "SST_Ext_DEFINES.h"
#include "sst_types.h"
/*
 * All the includes that are needed for code using this module to
 * compile correctly should be #included here.
 */


#ifdef __cplusplus
extern "C"
{
#endif


  /*
   *  Object %name    : %
   *  State           :  %state%
   *  Creation date   :  Mon Mar 17 12:06:34 2009
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief A brief description of this module
   *
   *  \version SST_Ext_ATP_Iterators.h#1:incl:1
   *  \author taniam
   *  \remarks Copyright (C) 2007 by Discretix Technologies Ltd.
   *           All Rights reserved
   */
/************************ Defines *******************************/
/************************ Enums *********************************/
/************************ Typedefs  *****************************/
/************************ Structs  ******************************/
/*****************************************************************************
 * Function Name:                                                           
 *  SST_Ext_ATP_RollBack        
 * 
 * Inputs:
 *  None
 *
 * Outputs:
 *  DxError_t - Function error return                                        
 *
 * Description:                                                                 
 *   Test the capability of transaction rollback while inserting, deleting and modifying objects
 *  
 *
 * Algorithm:       
 *    1.    Call to HOSTQA_ATP_Message function
 *
 *******************************************************************************/
  DxError_t SST_Ext_ATP_RollBack( void );
  
  
  
#ifdef __cplusplus
}
#endif

#endif
