#ifndef SST_EXT_ATP_UTILITY_H
#define SST_EXT_ATP_UTILITY_H


#include "SST_Ext_DEFINES.h"
#include "sst_types.h"
/*
 * All the includes that are needed for code using this module to
 * compile correctly should be #included here.
 */


#ifdef __cplusplus
extern "C"
{
#endif


  /*
   *  Object %name    : %
   *  State           :  %state%
   *  Creation date   :  Apr 5 12:06:34 2009
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief A brief description of this module
   *
   *  \version SST_Ext_ATP_Utility.h#1:incl:1
   *  \author TaniaM
   *  \remarks Copyright (C) 2007 by Discretix Technologies Ltd.
   *           All Rights reserved
   */

/*****************************************************************************
 * Function Name:                                                           
 *  SST_Ext_ATP_UtilityHandle      
 * 
 * Inputs:
 *  None
 *
 * Outputs:
 *  DxError_t - Function error return                                        
 *
 * Description:                                                                 
 *   Test the iteration services  begin, increment and get, decrement and get, 
 *       get all handles and terminate operations.
 *  
 * Algorithm:       
 *    1.    Call to HOSTQA_ATP_Message function
 *
 *******************************************************************************/ 
 DxError_t SST_Ext_ATP_UtilityHandle(void);
  /*****************************************************************************
 * Function Name:                                                           
 *  SST_Ext_ATP_UtilitySize      
 * 
 * Inputs:
 *  None
 *
 * Outputs:
 *  DxError_t - Function error return                                        
 *
 * Description:                                                                 
 *   Test the iteration services  begin, increment and get, decrement and get, 
 *       get all handles and terminate operations.
 *  
 * Algorithm:       
 *    1.    Call to HOSTQA_ATP_Message function
 *
 *******************************************************************************/ 
 
 
 DxError_t SST_Ext_ATP_UtilitySize(void);
  
  
#ifdef __cplusplus
}
#endif

#endif
