#ifndef LLF_PKI_PUB_KEY_DB_DEF_H
#define LLF_PKI_PUB_KEY_DB_DEF_H

/*
 * This file is #included in the middle of the struct declaration for CRYSRSAPubKey_t
 * It contains the platform-specific parts of the context struct. As such:
 *
 *  1) file should not use any includes it is a part of the CRYS_RSA_Types.h file !!!!
 *  2) only the CRYS_RSA_Types.h file should include this file. 
 */


  /*
   *  Object %name    : %
   *  State           :  %state%
   *  Creation date   :  Sun Dec 12 09:23:41 2004
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief A brief description of this module
   *
   *  \version LLF_RSA_pub_key_db_def.h#1:incl:1
   *  \author adams
   *  \remarks Copyright (C) 2004 by Discretix Technologies Ltd.
   *           All Rights reserved
   */


   struct
   {  
     /* the Hn value - used to optimized the exponent - calculated by the 
        CRYS_RSA_Build_PubKey function */
     DxUint32_t HnSizeInBits;
     DxUint32_t Hn[CRYS_RSA_MAXIMUM_MOD_BUFFER_SIZE_IN_WORDS];
     
   }LLF;

#endif

