#ifndef LLF_C2_CONTEXT_DEF_H
#define LLF_C2_CONTEXT_DEF_H

/*
 * This file is #included in the middle of the struct declaration for C2Context_t
 * It contains the platform-specific parts of the context struct. As such:
 *
 *  1) file should not use any includes it is a part of the CRYS_C2.h file 
 *  2) only the CRYS_C2.h file should include this file. 
 */


  /*
   *  Object %name    : %
   *  State           :  %state%
   *  Creation date   :  Feb. 19 2007
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief A brief description of this module
   *
   *  \version LLF_C2_context_def.h#1:incl:1
   *  \author R. Levin.
   *  \remarks Copyright (C) 2007 by Discretix Technologies Ltd.
   *           All Rights reserved
   */

/* ******************** the additional structure definition ********************* */

 /* The inner data used in C2 Cipher operations on CBC mode */
 struct{

   DxUint8_t InnerKey[7];
   DxUint8_t Dummy[1];   /* for aligning next data to 32 bit */
      
   DxUint32_t keyRound;
   
 }LLF;

#endif
