#ifndef CE2_DES_ERROR_H
#define CE2_DES_ERROR_H

/*
 * All the includes that are needed for code using this module to
 * compile correctly should be #included here.
 */
#include "CE2_error.h"

#ifdef __cplusplus
extern "C"
{
#endif

/*
* Creation date : Mon Mar 05 15:00:40 2007
* Last modified : %modify_time%
*/
/** @file
* \brief This file contains contains error codes for DES functions.
* 
* \version CE2_DES_Error.h#1:csrc:1
* \author Pavel Sasunkevich
* \remarks Copyright (C) 2007 by Discretix Technologies Ltd.
* All Rights reserved
*/

/************************ Defines *****************************/

/* DES */
/* CE2_DES() error codes */
#define CE2_DES_INVALID_KEY_PTR_ERROR		(CE2_DES_MODULE_ERROR_BASE + 1)
#define CE2_DES_ILLEGAL_ENCRYPT_DECRYPT_FLAG_ERROR	(CE2_DES_MODULE_ERROR_BASE + 2)
#define CE2_DES_ILLEGAL_NUM_OF_KEYS_ERROR	(CE2_DES_MODULE_ERROR_BASE + 3)
#define CE2_DES_ILLEGAL_HASH_OP_MODE_ERROR	(CE2_DES_MODULE_ERROR_BASE + 4)
#define CE2_DES_INVALID_DATA_IN_PTR_ERROR	(CE2_DES_MODULE_ERROR_BASE + 5)
#define CE2_DES_INVALID_DATA_IN_SIZE_ERROR	(CE2_DES_MODULE_ERROR_BASE + 6)

#ifdef __cplusplus
}
#endif

#endif /* CE2_DES_ERROR_H */
