#ifndef __START_ADDR__H__
#define __START_ADDR__H__


/*
   *  Object %name    : SEPDriver.h
   *  State           :  %state%
   *  Creation date   :  Wed Nov 17 17:39:24 2004
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief  Key Management h file (API and structures )
   *
   *  \version 
   *  \author yevgenys
   *  \remarks Copyright (C) 2004 by Discretix Technologies Ltd.
   *           All Rights reserved
   */


/*------------------------------
    DEFINES
--------------------------------*/

#ifndef DX_ARM1176
/*HOST base memory address*/
#define DX_CC_HOST_MEMORY_BASE_ADDR         0xC2000000UL
/*shared area address*/
#define DX_CC_HOST_SHARED_AREA_ADDR         0xC2181000UL
/*shared area size - 32KB (FVOS configuration)*/
#define DX_CC_HOST_SHARED_AREA_SIZE         0x8000
/*resident image address*/
#define DX_CC_HOST_RESIDENT_BASE_ADDR       0xC2189000UL
/*cache image address*/
#define DX_CC_HOST_CACHE_BASE_ADDR          0xC218B000UL
/*external application cache*/
#define DX_CC_EXTAPP_MEMORY_BASE_ADDR       0xC21E7800UL
/*D-cache base address*/
#define DX_CC_HOST_D_CACHE_BASE_ADDR        0xC2217800UL


#else


/*HOST base memory address*/
#define DX_CC_HOST_MEMORY_BASE_ADDR         0x82000000UL
/*shared area address*/
#define DX_CC_HOST_SHARED_AREA_ADDR         0x82181000UL
/*shared area size - 32KB (FVOS configuration)*/
#define DX_CC_HOST_SHARED_AREA_SIZE         0x8000
/*resident image address*/
#define DX_CC_HOST_RESIDENT_BASE_ADDR       0x82189000UL
/*cache image address*/
#define DX_CC_HOST_CACHE_BASE_ADDR          0x8218B000UL
/*external application cache*/
#define DX_CC_EXTAPP_MEMORY_BASE_ADDR       0x821E7800UL
/*D-cache base address*/
#define DX_CC_HOST_D_CACHE_BASE_ADDR        0x821F7800UL 

#endif
/*-------------------------------
  STRUCTURES
---------------------------------*/



/*----------------------------------------------
    FUNCTIONS
--------------------------------------------------*/




#endif
