
  /*
   *  Object %name    : %
   *  State           :  %state%
   *  Creation date   :  Mon Jul 23 07:42:53 2007
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief A brief description of this module
   *
   *  \version KMNG_ATP_TST_main.c#1:csrc:1
   *  \author doronp
   *  \remarks Copyright (C) 2007 by Discretix Technologies Ltd.
   *           All Rights reserved
   */

/* disabling pc lint warning regarding to constant condition :
   'Constant value Boolean' */
/*lint --e{506} */

/************* Include Files **************************************/
#include "DX_VOS_Stdio.h"
#include "DX_VOS_Utils.h"
#include "DX_VOS_File.h"
#include "MW_ATP_defines.h"
#include "MW_ATP_define_flags.h"
#include "MW_ATP_UTIL_funcs.h"
#include "MNG_ATP_TST_Defines.h"
#include "CRYS_init.h"
#include "MNG_ATP_TST.h"
#include "MNG_TST_Utils.h"
#include "DX_VOS_Mem.h"

/************************ Defines **********************************/
extern DxError_t MNG_ATP_menu(void);
/************************ Enums ************************************/
/************************ Typedefs *********************************/
/************************ Global Data ******************************/
#if MNG_TST_LOG_ENABLE 
DxVosFile  TST_MNG_main_log;
char      *TST_MNG_main_log_fname = DX_NULL;
#endif

/*************** Private function prototype ************************/
/************************ Public Functions *************************/

 #if MNG_QA_ATP_TST

 int main(int argc, char *argv[])

 #else

 DxStatus MNG_ATP_TST_main (int argc, char *argv[])

 #endif  /* MNG_QA_ATP_TST */
 {
    /********* TST Variables Definitions ************/
    DxError_t           TST_Error = DX_SUCCESS,
                        TST_TestStatus = DX_SUCCESS;
    
    TST_Error = MW_ATP_UTIL_ParseArgs(argc,argv);
    TST_TestStatus = MNG_TST_CheckErrorReturn(TST_Error,
                                              "MW_ATP_UTIL_ParseArgs",
										      "",
										      "");
    MW_ATP_RETURN_ON_FAILURE(TST_TestStatus);

    /* Init CRYS */
    TST_Error = MW_ATP_UTIL_Init_CRYS();
    TST_TestStatus = MNG_TST_CheckErrorReturn(TST_Error,
                                             "MW_ATP_UTIL_Init_CRYS",
                                             "!!!!!!!!!",
                                             "!!!!!!!!!");
    MW_ATP_RETURN_ON_FAILURE(TST_TestStatus);
    
    /* Start MNG_ATP and its Menu */
    TST_TestStatus = MNG_ATP_menu();

    return TST_TestStatus;
 }/* End of MNG_ATP_TST_main*/
