#ifndef MW_ATP_DEFINE_H
#define MW_ATP_DEFINE_H

  /*
   *  Object %name    : %
   *  State           :  %state%
   *  Creation date   :  Mon Jan 03 11:17:15 2005
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief Common defines for all QA Middleware ATPs
   *
   *  \version CRYS_ATP_TST_Defines.h#1:csrc:1
   *  \author arield
   *  \remarks Copyright (C) 2007 by Discretix Technologies Ltd.
   *           All Rights reserved
   */



/***** Include Files ******/
#include "DX_VOS_BaseTypes.h"

/******** Defines **********/
#define TST_PASS 	            0
#define TST_FAIL 	            1

#define TST_INTERNAL_KG         0
#define TST_NO_INTERNAL_KEYGEN  1

/* Print levels */
/*--------------*/
#define MW_ATP_MSG 		        10
#define MW_ATP_DBG_HIGH 	    20
#define MW_ATP_DBG_MED	        30
#define MW_ATP_DBG_LOW 	        40

/* Defines for Printing level */
/*----------------------------*/
#ifndef ATP_LOG_TST_MAX_LEVEL_ENABLED
  #define ATP_LOG_TST_MAX_LEVEL_ENABLED 20
#endif  


#define TST_FUNC_STRING_LEN     100

/******** Enums **********/
/******** Typedefs **********/
/******** Global Data **********/
extern DxError_t       TST_ATP_Error;
extern DxUint32_t      TST_IsInteractive;
extern DxChar         *TST_log_fname_ptr;
extern DxUint32_t      TST_UseInternalKG;
/***** Private function prototype ******/
/******** Public Functions **********/

#endif
