#ifndef FLOW_ERROR_H
#define FLOW_ERROR_H
 
#ifdef __cplusplus
extern "C"
{
#endif
#include "sep_error.h"

	/*! \file FLOW_error.h
    \brief This file containes flow error codes definitions
*/
#define DX_SEP_FLOW_OK    							DX_SEP_OK

/* FlowInit error codes */
#define DX_SEP_FLOW_INIT_NO_FREE_FLOW_ERROR					(DX_SEP_FLOW_MODULE_ERROR_BASE + 0x1UL)
#define DX_SEP_FLOW_INIT_CRYS_AES_INIT_ERROR				(DX_SEP_FLOW_MODULE_ERROR_BASE + 0x2UL)
#define DX_SEP_FLOW_AES_INIT_ILLEGAL_KEY_SIZE_ERROR			(DX_SEP_FLOW_MODULE_ERROR_BASE + 0x3UL)
#define DX_SEP_FLOW_WRONG_MODE_FOR_GET_RESULT_ERROR			(DX_SEP_FLOW_MODULE_ERROR_BASE + 0x5UL)
#define DX_SEP_FLOW_GET_RESULT_NOT_READY_ERROR				(DX_SEP_FLOW_MODULE_ERROR_BASE + 0x6UL)
#define DX_SEP_FLOW_BAD_DATA_BASE_ERROR						(DX_SEP_FLOW_MODULE_ERROR_BASE + 0x7UL)
#define DX_SEP_FLOW_BAD_BUFFER_LENGTH_ERROR					(DX_SEP_FLOW_MODULE_ERROR_BASE + 0x8UL)
#define DX_SEP_FLOW_ADD_NO_INPUT_FLOW_ERROR					(DX_SEP_FLOW_MODULE_ERROR_BASE + 0x9UL)
#define DX_SEP_FLOW_ADD_FLOW_IS_NOT_EMPTY_ERROR				(DX_SEP_FLOW_MODULE_ERROR_BASE + 0xAUL)
#define DX_SEP_FLOW_GOT_ADD_AFTER_FINISH_ERROR				(DX_SEP_FLOW_MODULE_ERROR_BASE + 0xBUL)
#define DX_SEP_FLOW_NOT_SUPPORTED_FLOW_ERROR				(DX_SEP_FLOW_MODULE_ERROR_BASE + 0xCUL) 
#define DX_SEP_FLOW_HMAC_MODE_NOT_SUPPORTED_ERROR			(DX_SEP_FLOW_MODULE_ERROR_BASE + 0xDUL)
#define DX_SEP_FLOW_RC4_MODE_NOT_SUPPORTED_ERROR			(DX_SEP_FLOW_MODULE_ERROR_BASE + 0xEUL)
#define DX_SEP_FLOW_INIT_IN_OUT_INT_ARE_OCCUPIED_ERROR      (DX_SEP_FLOW_MODULE_ERROR_BASE + 0xFUL)
#define DX_SEP_FLOW_OUTPUT_BUFF_IS_NULL_ERROR				(DX_SEP_FLOW_MODULE_ERROR_BASE + 0x10UL)
#define DX_SEP_FLOW_ADD_NO_OUTPUT_FLOW_ERROR					(DX_SEP_FLOW_MODULE_ERROR_BASE + 0x11UL)

#ifdef __cplusplus
}
#endif

#endif
