
#ifndef CRYS_KDF_error_h_H
#define CRYS_KDF_error_h_H

/*
 * All the includes that are needed for code using this module to
 * compile correctly should be #included here.
 */
#include "CRYS_error.h"


#ifdef __cplusplus
extern "C"
{
#endif

  /*
   *  Object %name    : %CRYS_KDF_errors.h
   *  State           :  %state%
   *  Creation date   :  14 May 2007
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief A brief description of this module
   *
   *  \version CRYS_KDF_errors.h#1:incl:1
   *  \author R.Levin
   *  \remarks Copyright (C) 2007 by Discretix Technologies Ltd.
   *           All Rights reserved
   */


/************************ Defines *******************************/

/* The CRYS KDF module errors / base address - 0x00F00580*/
#define CRYS_KDF_INVALID_ARGUMENT_POINTER_ERROR					(CRYS_KDF_MODULE_ERROR_BASE + 0x0UL)
#define CRYS_KDF_INVALID_ARGUMENT_SIZE_ERROR					(CRYS_KDF_MODULE_ERROR_BASE + 0x1UL)
#define CRYS_KDF_INVALID_ARGUMENT_OPERATION_MODE_ERROR			(CRYS_KDF_MODULE_ERROR_BASE + 0x2UL)
#define CRYS_KDF_INVALID_ARGUMENT_HASH_MODE_ERROR				(CRYS_KDF_MODULE_ERROR_BASE + 0x3UL)
#define CRYS_KDF_INVALID_KEY_DERIVATION_MODE_ERROR              (CRYS_KDF_MODULE_ERROR_BASE + 0x4UL)
#define CRYS_KDF_INVALID_SHARED_SECRET_VALUE_SIZE_ERROR         (CRYS_KDF_MODULE_ERROR_BASE + 0x5UL)
#define CRYS_KDF_INVALID_OTHER_INFO_SIZE_ERROR                  (CRYS_KDF_MODULE_ERROR_BASE + 0x6UL)
#define CRYS_KDF_INVALID_KEYING_DATA_SIZE_ERROR                 (CRYS_KDF_MODULE_ERROR_BASE + 0x7UL)
#define CRYS_KDF_INVALID_ALGORITHM_ID_POINTER_ERROR             (CRYS_KDF_MODULE_ERROR_BASE + 0x8UL)
#define CRYS_KDF_INVALID_ALGORITHM_ID_SIZE_ERROR                (CRYS_KDF_MODULE_ERROR_BASE + 0x9UL)

#define CRYS_KDF_IS_NOT_SUPPORTED                               (CRYS_KDF_MODULE_ERROR_BASE + 0xfUL)

/************************ Enums *********************************/

/************************ Typedefs  *****************************/

/************************ Structs  ******************************/

/************************ Public Variables **********************/

/************************ Public Functions **********************/




#ifdef __cplusplus
}
#endif

#endif



