
#ifndef CRYS_KMNG_ERROR_H
#define CRYS_KMNG_ERROR_H

/*
 * All the includes that are needed for code using this module to
 * compile correctly should be #included here.
 */
#include "CRYS_error.h"

#ifdef __cplusplus
extern "C"
{
#endif

  /*
   *  Object % CRYS_KMNG_error.h    : %
   *  State           :  %state%
   *  Creation date   :  Sun Nov 21 11:07:08 2004
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief This module containes the definitions of the CRYS KMNG errors.
   *
   *  \version CRYS_KMNG_error.h#1:incl:1
   *  \author adams
   *  \remarks Copyright (C) 2004 by Discretix Technologies Ltd.
   *           All Rights reserved
   */




/************************ Defines ******************************/

/* The CRYS KMNG module errors */
#define CRYS_KMNG_WRAP_KEY_NULL_ERROR			(CRYS_KMNG_MODULE_ERROR_BASE + 0x1UL)
#define CRYS_KMNG_KEY_TYPE_ERROR				(CRYS_KMNG_MODULE_ERROR_BASE + 0x2UL)
#define CRYS_KMNG_KEY_CONFIG_RESTRICTION_ERROR	(CRYS_KMNG_MODULE_ERROR_BASE + 0x3UL)
#define CRYS_KMNG_KEY_CONFIG_TYPE_ERROR			(CRYS_KMNG_MODULE_ERROR_BASE + 0x4UL)
#define CRYS_KMNG_KEY_LEN_ERROR					(CRYS_KMNG_MODULE_ERROR_BASE + 0x5UL)
#define CRYS_KMNG_WRONG_OPER_FOR_KEY_USAGE_ERROR (CRYS_KMNG_MODULE_ERROR_BASE + 0x6UL)

#ifdef __cplusplus
}
#endif

#endif


