
  /*
   *  Object %name    : main.c%
   *  State           :  %state%
   *  Creation date   :  Wed Nov 17 17:39:24 2004
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief This file includes the AES wrap functions  
   *
   *  \version parser.c#1:csrc:1
   *  \author mottig
   *  \remarks Copyright (C) 2004 by Discretix Technologies Ltd.
   *           All Rights reserved
   */

/************* Include Files ****************/

#include "DX_VOS_BaseTypes.h"
#include "extapp_err.h"
#include "connectivitytest_msg_defs.h"
#include "sep_utils.h"

/************************ Defines ****************************/
/************************ Enums ******************************/
/************************ Typedefs ***************************/
/************************ Global Data ************************/

/**************** Private function prototypes ****************/

DxUint32_t DX_SEP_PARSER_ConnectivityTest(DxUint32_t* msg)
{

	DxUint32_t Error = DX_SUCCESS;
	DxUint32_t counter_var;

	/* increase counter by one */
	counter_var = msg[DX_SEP_HOST_SEP_CONNECTIVITY_MSG_COUNTER_OFFSET];

	/* increase counter by one */
	counter_var++;

	/* place the counter in the message */
	msg[DX_SEP_HOST_SEP_CONNECTIVITY_MSG_RPLY_COUNTER_OUT_OFFSET] = counter_var;
	
	/* end SEP message */
	return DX_SEP_EndMessage(msg, Error, DX_SEP_HOST_SEP_CONNECTIVITY_MSG_LENGTH_IN_WORDS*sizeof(DxUint32_t));
}

