
  /*
   *  Object %name    : %
   *  State           :  %state%
   *  Creation date   :  Tue Mar 29 11:40:39 2005
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief A brief description of this module
   *
   *  \version SST_TST_ATP_IndexTstVectors.c#1:csrc:1
   *  \author doronp
   *  \remarks Copyright (C) 2007 by Discretix Technologies Ltd.
   *           All Rights reserved
   */
/* disabling pc lint warning regarding to few initializers in braces :
   Too few initializers for aggregate 'unknown-name' */ 
/*lint --e{785} */ 
/*lint --e{651} */ 
/************* Include Files ***********************************/
#include "SST_TST.h"
#if TST_USE_INDEX_MODULE
/************************ Defines ******************************/
/************************ Enums ********************************/
/************************ Typedefs *****************************/
/************************ Global Data **************************/
/************* Private function prototype **********************/
/************************ Public Functions *********************/
TST_ATP_IndexTestDataStruct TST_ATP_IndexTestData[]=
{
    {
        /*TST_Name*/
        {"ATP test IndexTest - Object# & DataObject"},
        /*TST_Password[TST_PASSWORD_STRING_LEN]*/
        {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
        /*TST_PasswordSizeInBytes*/
        8,
        /*TST_MaxNumOfTrials*/
        2,
        /*TST_Data*/
        {0x9c,0x4b,0x03,0xbe,0x56,0xe5,0x28,0xbc,0x55,0x42,0x43,0x18,0x80,0x40,0x0b,0xb7,
        0xfc,0xfe,0x74,0xd0,0xf3,0x92,0x8e,0x43,0x95},
        /*TST_DataSize*/
        25,
        /*TSTString1*/
        {"Object#1"},
        /*TSTString1Size*/
        8,
        /*TSTString2*/
        {"Object#2"},
        /*TSTString2Size*/
        8,
        /*TSTString3*/
        {"Object#3"},
        /*TSTString3Size*/
        8,
        /*TSTString4*/
        {"Object#4"},
        /*TSTString4Size*/
        8,
        /*TSTString5*/
        {"DataObject"},
        /*TSTString5Size*/
        10,
        /*TST_MaxHandlesToRead1*/
        TST_MAX_NUMBERS_OF_HANDLES_2READ,
        /*TST_MaxHandlesRead1*/
        1,
        /*TST_MaxHandlesToRead2*/
        TST_MAX_NUMBERS_OF_HANDLES_2READ,
        /*TST_MaxHandlesRead2*/
        1,
        /*TST_MaxHandlesToRead3*/
        TST_MAX_NUMBERS_OF_HANDLES_2READ,
        /*TST_MaxHandlesRead3*/
        4,
        /*TSTRetHandles*/
        0,
        /*NumOfMatches1*/
        1,
        /*NumOfMatches2*/
        4,
        /*NumOfMatches3*/
        3,
    },
    {
        /*TST_Name*/
        {"ATP test IndexTest - Object/n & DataObject%s"},
        /*TST_Password[TST_PASSWORD_STRING_LEN]*/
        {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
        /*TST_PasswordSizeInBytes*/
        8,
        /*TST_MaxNumOfTrials*/
        2,
        /*TST_Data*/
        {0x9c,0x4b,0x03,0xbe,0x56,0xe5,0x28,0xbc,0x55,0x42,0x43,0x18,0x80,0x40,0x0b,0xb7,
        0xfc,0xfe,0x74,0xd0,0xf3,0x92,0x8e,0x43,0x95},
        /*TST_DataSize*/
        25,
        /*TSTString1*/
        {"Object/n1"},
        /*TSTString1Size*/
        9,
        /*TSTString2*/
        {"Object/n2"},
        /*TSTString2Size*/
        9,
        /*TSTString3*/
        {"Object/n3"},
        /*TSTString3Size*/
        9,
        /*TSTString4*/
        {"Object/n4"},
        /*TSTString4Size*/
        9,
        /*TSTString5*/
        {"DataObject%s"},
        /*TSTString5Size*/
        12,
        /*TST_MaxHandlesToRead1*/
        TST_MAX_NUMBERS_OF_HANDLES_2READ,
        /*TST_MaxHandlesRead1*/
        1,
        /*TST_MaxHandlesToRead2*/
        TST_MAX_NUMBERS_OF_HANDLES_2READ,
        /*TST_MaxHandlesRead2*/
        1,
        /*TST_MaxHandlesToRead3*/
        TST_MAX_NUMBERS_OF_HANDLES_2READ,
        /*TST_MaxHandlesRead3*/
        4,
        /*TSTRetHandles*/
        0,
        /*NumOfMatches1*/
        1,
        /*NumOfMatches2*/
        4,
        /*NumOfMatches3*/
        3,
    },
    {
        /*TST_Name*/
        {"ATP test IndexTest - Object/n & DataObject%s"},
        /*TST_Password[TST_PASSWORD_STRING_LEN]*/
        {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
        /*TST_PasswordSizeInBytes*/
        8,
        /*TST_MaxNumOfTrials*/
        2,
        /*TST_Data*/
        {0x9c,0x4b,0x03,0xbe,0x56,0xe5,0x28,0xbc,0x55,0x42,0x43,0x18,0x80,0x40,0x0b,0xb7,
        0xfc,0xfe,0x74,0xd0,0xf3,0x92,0x8e,0x43,0x95},
        /*TST_DataSize*/
        25,
        /*TSTString1*/
        {"Object\n\n1"},
        /*TSTString1Size*/
        11,
        /*TSTString2*/
        {"Object\n\n2"},
        /*TSTString2Size*/
        11,
        /*TSTString3*/
        {"Object\n\n3"},
        /*TSTString3Size*/
        11,
        /*TSTString4*/
        {"Object\n\n4"},
        /*TSTString4Size*/
        11,
        /*TSTString5*/
        {"DataObject%s\n/n%d"},
        /*TSTString5Size*/
        18,
        /*TST_MaxHandlesToRead1*/
        TST_MAX_NUMBERS_OF_HANDLES_2READ,
        /*TST_MaxHandlesRead1*/
        1,
        /*TST_MaxHandlesToRead2*/
        TST_MAX_NUMBERS_OF_HANDLES_2READ,
        /*TST_MaxHandlesRead2*/
        1,
        /*TST_MaxHandlesToRead3*/
        TST_MAX_NUMBERS_OF_HANDLES_2READ,
        /*TST_MaxHandlesRead3*/
        4,
        /*TSTRetHandles*/
        0,
        /*NumOfMatches1*/
        1,
        /*NumOfMatches2*/
        4,
        /*NumOfMatches3*/
        3,
    },
 };

const int TST_NumberOf_IndexTests = sizeof(TST_ATP_IndexTestData)/sizeof(TST_ATP_IndexTestData[0]);

#endif

