
#ifndef LLF_AES_ERROR_H
#define LLF_AES_ERROR_H

/*
 * All the includes that are needed for code using this module to
 * compile correctly should be #included here.
 */
#include "CRYS_error.h"

#ifdef __cplusplus
extern "C"
{
#endif

  /*
   *  Object % LLF_AES_error.h    : %
   *  State           :  %state%
   *  Creation date   :  Sun Nov 21 11:07:08 2004
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief The error definitions of the LLF AES module
   *
   *  \version CRYS_AES_error.h#1:incl:1
   *  \author adams
   *  \remarks Copyright (C) 2004 by Discretix Technologies Ltd.
   *           All Rights reserved
   */




/************************ Defines ******************************/

#define LLF_AES_HW_VERSION_NOT_CORRECT_ERROR      (LLF_AES_MODULE_ERROR_BASE + 0x0UL)
#define LLF_AES_HW_INTERNAL_ERROR_1               (LLF_AES_MODULE_ERROR_BASE + 0x11UL)
#define LLF_AES_HW_INTERNAL_ERROR_2               (LLF_AES_MODULE_ERROR_BASE + 0x12UL)
#define LLF_AES_HW_INTERNAL_ERROR_3               (LLF_AES_MODULE_ERROR_BASE + 0x13UL)
#define LLF_AES_HW_INTERNAL_ERROR_4               (LLF_AES_MODULE_ERROR_BASE + 0x14UL)
#define LLF_AES_HW_INTERNAL_ERROR_5               (LLF_AES_MODULE_ERROR_BASE + 0x15UL)
#define LLF_AES_HW_INTERNAL_ERROR_6               (LLF_AES_MODULE_ERROR_BASE + 0x16UL)
#define LLF_AES_HW_INTERNAL_ERROR_7               (LLF_AES_MODULE_ERROR_BASE + 0x17UL)
#define LLF_AES_HW_INTERNAL_ERROR_8               (LLF_AES_MODULE_ERROR_BASE + 0x18UL)
#define LLF_AES_HW_INTERNAL_ERROR_9               (LLF_AES_MODULE_ERROR_BASE + 0x19UL)
#define LLF_AES_XTS_IS_NOT_SUPPORTED_ON_HW_ERROR  (LLF_AES_MODULE_ERROR_BASE + 0x1AUL)


/************************ Enums ********************************/


/************************ Typedefs  ****************************/


/************************ Structs  ******************************/


/************************ Public Variables **********************/


/************************ Public Functions **********************/

#ifdef __cplusplus
}
#endif

#endif

