
#ifndef LLF_HASH_CONTEXT_DEF_H
#define LLF_HASH_CONTEXT_DEF_H

/*
 * This file is #included in the middle of the struct declaration for AESContext_t
 * It contains the platform-specific parts of the context struct. As such:
 *
 *  1) file should not use any includes it is a part of the CRYS_HASH.h file !!!!
 *  2) only the CRYS_HASH.h file should include this file. 
 */


  /*
   *  Object %name    : %
   *  State           :  %state%
   *  Creation date   :  Sun Dec 12 09:23:41 2004
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief A brief description of this module
   *
   *  \version LLF_HASH_context_def.h#1:incl:1
   *  \author adams
   *  \remarks Copyright (C) 2004 by Discretix Technologies Ltd.
   *           All Rights reserved
   */
   
   /* The buffer that contains the size of so far digested message in the hardware.
      For SHA1 and SHA-256, the first 64 bits are used, for SHA-384 and SHA512, the whole buffer is used*/
   DxUint32_t TotalDataSizeProcessed_128Bit[4];
   
   
   



#endif


