#ifndef _EXT_APP_OP_CODE_
#define _EXT_APP_OP_CODE_


/***************************************************************
*  @brief this file containes the declarations of the HOST-SEP
*         and vice versa op codes for external SEP QA test application.
*  
*  @author mottig
*  @remarks Copyright (C) 2004 by Discretix Technologies Ltd.
*           All Rights reserved
*/

/************* Include Files ****************/
#include "host_op_code.h"
/*************** Defines ********************/

/************************ Enums ******************************/

typedef enum
{
	/* SDK Op Codes */
	DX_SEP_HOST_SEP_PROTOCOL_HOST_CONNECTIVITY_TEST_OP_CODE = DX_SEP_HOST_SEP_PROTOCOL_HOST_EXT_APP_FIRST_OP_CODE, /*0xB00*/
	DX_SEP_HOST_SEP_PROTOCOL_EXT_INT_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_TIMER_INT_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_AES_NotIntegrated_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_AES_Integrated_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_AES_MACNonIntegrated_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_AES_XCBC_CMACNonIntegrated_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_AES_XCBC_CMACIntegrated_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_AES_MACIntegrated_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_AES_KeyWrapUnwarp_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_DES_NotIntegrated_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_DES_Integrated_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_HASH_NotIntegrated_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_HASH_Integrated_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_HMAC_NotIntegrated_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_HMAC_Integrated_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_RC4_NotIntegrated_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_RC4_Integrated_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_RSA_PRIME_EncDec_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_RSA_PRIME_SignVerify_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_RSA_PKCS1v15_EncDec_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_RSA_PKCS1v15_NonIntegrate_SignVerify_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_RSA_PKCS1v15_Integrate_SignVerify_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_RSA_PKCS1v15_ExternalHash_SignVerify_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_RSA_PSS_ExternalHash_SignVerify_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_RSA_Get_PrivAndPubKey_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_RSA_OAEP_EncDec_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_RSA_PSS_NonIntegrate_SignVerify_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_RSA_PSS_Integrate_SignVerify_TEST_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_ECC_ECDSA_NonIntegratedSignVerify,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_ECC_ECDSA_IntegratedSignVerify,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_ECC_DH,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_ECC_ElGamal_EncDec,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_ECC_ImportExportKeyPair,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_DH_PKCS3,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_DH_ANSI942,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_RND_No_Reset,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_RND_Reset,
	/* KMNG opcodes                                             */
	DX_SEP_HOST_SEP_PROTOCOL_HOST_KMNG_ImportExportSymKeys,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_KMNG_ImportExportRSAKeys,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_KMNG_AES_ActivateKey,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_KMNG_DES_ActivateKey,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_KMNG_HMAC_ActivateKey,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_KMNG_RSA_PRIME_ActivateKey,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_KMNG_RSA_V15_ActivateKey,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_KMNG_RSA_V21_ActivateKey,
	/* SST  opcodes                                             */
	DX_SEP_HOST_SEP_PROTOCOL_SST_PasAuthenticator_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_SST_RsaAsymAuthenticator_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_SST_AesKeyAsymAuthenticator_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_SST_ECCAsymAuthenticator_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_SST_BasicDataOp_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_SST_BasicUnAuthnticatedDataOp_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_SST_BindingWritingPermissions_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_SST_DataReplace_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_SST_SpecialDataAES_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_SST_SpecialDataDES_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_SST_SpecialDataHMAC_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_SST_SpecialDataRSA_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_SST_ReadOnlyData_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_SST_Index_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_SST_Iterator_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_SST_RollBack_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_CRYS_SST_RSA_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_CRYS_SST_HMAC_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_CRYS_SST_DES_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_CRYS_SST_AES_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_CRYS_SST_RSA_OAEP_ENCDEC_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_CRYS_SST_RSA_PRIM_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_SST_Utility_Handle_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_SST_Utility_Size_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_SST_InitTerminate_1_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_SST_InitTerminate_2_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_SST_MM_1_OP_CODE,
    DX_SEP_HOST_SEP_PROTOCOL_SST_MM_2_OP_CODE,
  	DX_SEP_HOST_SEP_PROTOCOL_HOST_REQ1_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_REQ2_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_REQ3_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_REQ4_OP_CODE,
	DX_SEP_HOST_SEP_PROTOCOL_HOST_REQ5_OP_CODE,
	
	

	DX_SEP_HOST_SEP_PROTOCL_EXT_APP_MAX_OP_CODE = DX_SEP_HOST_SEP_PROTOCOL_HOST_EXT_APP_LAST_OP_CODE,
	DX_SEP_HOST_SEP_GENERAL_EXT_APP_CODE = 0x7FFFFFFF 
    
}DX_SEP_HOST_SEP_EXT_APP_OP_CODE_type;


#endif /* _EXT_APP_OP_CODE_ */

