/*! \file tlk_cert_defs_pkcs10.h 
**********************************************************************************
*Title:                         Discretix Certificate Handling Toolkit source file
*
* Filename:                     tlk_cert_defs_pkcs10.h 
*
* Project, Target, subsystem:   Certificate Handling Toolkit, PKCS #10
*
* Created:                      01.03.2009
*
* Modified:                     01.03.2009
*
* \Author                       Ira Boguslavsky
*
* \Remarks
*           Copyright (C) 2007 by Discretix Technologies Ltd. All Rights reserved.
**********************************************************************************/
#ifndef _TLK_CERT_DEFS_PKCS10_H_
#define _TLK_CERT_DEFS_PKCS10_H_

#ifdef __cplusplus
extern "C"
{
#endif

#define TLK_CERT_PKCS10_DIGITAL_SIGNATURE_BIT       0x0080
#define TLK_CERT_PKCS10_NON_REPUDIATION_BIT         0x0040
#define TLK_CERT_PKCS10_KEY_ENCIPHERMENT_BIT        0x0020
#define TLK_CERT_PKCS10_DATA_ENCIPHERMENT_BIT       0x0010
#define TLK_CERT_PKCS10_KEY_AGREEMENT_BIT           0x0008
#define TLK_CERT_PKCS10_KEY_CERT_SIGN_BIT           0x0004
#define TLK_CERT_PKCS10_CRL_SIGN_BIT                0x0002
#define TLK_CERT_PKCS10_ENCIPHER_ONLY_BIT           0x0001
#define TLK_CERT_PKCS10_DECIPHER_ONLY_BIT           0x0100

#ifdef __cplusplus
}
#endif /*extern "C"*/

#endif

