/*! \file tlk_cert_types_sst.h 
**********************************************************************************
*Title:                         Discretix OMA DRM v2 Toolkit source file
*
* Filename:                     tlk_cert_types_sst.h 
*
* Project, Target, subsystem:   Certificate Handling Toolkit, OMA DRM
*
* Created:                      28.01.2008
*
* Modified:                     28.01.2008
*
* \Author                       Ira Boguslavsky
*
* \Remarks
*           Copyright (C) 2008 by Discretix Technologies Ltd. All Rights reserved.
**********************************************************************************/
#ifndef _TLK_CERT_API_TYPES_SST_H_
#define _TLK_CERT_API_TYPES_SST_H_

#include "DX_VOS_BaseTypes.h"
#include "DX_VOS_TimeUtils.h"

#include "CRYS_HASH.h"

#include "sst_types.h"

#include "tlk_cert_defs.h"

typedef struct  _TLK_CERT_SstAccessParams_t
{
    SSTSessionId_t                  sessionId;
    SSTHandle_t                     dataHandle;
    DxByte_t                       *workspace_ptr;
    DxUint32_t                      workspaceLengthInBytes;
}TLK_CERT_SstAccessParams_t;


#endif
