# DX_CC6_CORE_HOST_SIDE makefile
# TLK_SCLK_ATP component
#

COMP_NAME := $(EXTAPP_ATP_ID)

#id's of the components this component depends on
$(COMP_NAME)_DEPEND_ON_APIS := $(SHARED_ATP_ID) $(EXTAPP_ID) $(CRYS_ID) $(VOS_ID) $(CC6_GEN_ID) $(SST_ID) $(KMNG_ID) $(CRYS_ATP_ID) $(EXTAPP_ID) $(NVS_ID) $(SST_ATP_ID) $(KMNG_ATP_ID)

#id's of the components whose objects are used by this component
$(COMP_NAME)_USE_OBJ_IDS :=  $(SHARED_ATP_ID) $(CRYS_ATP_ID) $(SST_ATP_ID) $(KMNG_ATP_ID)

#paths of this component API include directories
$(COMP_NAME)_API_INCL_PATH := \
	$(HOST_PATH)EXTAPP_ATP/Ext_ATP_Menu/tinc \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/ATP_TST_MAIN/tinc \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/AES/tinc \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/DES/tinc \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/HASH/tinc \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/HMAC/tinc \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/RC4/tinc \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/RSA/tinc \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/DH/tinc \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/ECC/tinc \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/RND/tinc \
	$(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/tinc \
	$(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/ATP_TST_MAIN/tinc \
	$(HOST_PATH)EXTAPP_ATP/KMNG_ExtApp_ATP/tinc \
	$(HOST_PATH)EXTAPP_ATP/KMNG_ExtApp_ATP/ATP_TST_MAIN/tinc

#paths of the internal include directories
$(COMP_NAME)_INTERNAL_INCL_PATH := \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/AES/tinc/ \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/DES/tinc/ \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/HASH/tinc/ \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/HMAC/tinc/ \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/RC4/tinc/ \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/RSA/tinc/ \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/ATP_TST_MAIN/tinc \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/DH/tinc \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/ECC/tinc \
	$(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/RND/tinc \
	$(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/tinc \

#global flags for this component
#project-specific flags for this component should be added to $($(COMP_NAME)_SPECIFIC_CCFLAGS) outside of this makefile
$(COMP_NAME)_CCFLAGS :=

#the objects names without path or extension
$(COMP_NAME)_OBJ_NAMES := \
	CRYS_Ext_ATP_AES_Acceptance  \
	CRYS_Ext_ATP_AES_Acceptance_test_vectors \
	CRYS_Ext_ATP_TST_AES_MAIN \
	CRYS_Ext_ATP_TST_DES_MAIN \
	CRYS_Ext_ATP_TST_DH_MAIN \
	CRYS_Ext_ATP_TST_ECC_MAIN \
	CRYS_Ext_ATP_TST_HASH_MAIN \
	CRYS_Ext_ATP_TST_HMAC_MAIN \
	CRYS_Ext_ATP_TST_menu \
	CRYS_Ext_ATP_TST_RC4_MAIN \
	CRYS_Ext_ATP_TST_RND_MAIN \
	CRYS_Ext_ATP_TST_RSA_MAIN \
	CRYS_Ext_ATP_DES_Acceptance \
	CRYS_Ext_ATP_DES_Acceptance_test_vectors \
	CRYS_Ext_ATP_DH_Acceptance \
	CRYS_Ext_ATP_DH_Acceptance_test_vectors \
	CRYS_Ext_ATP_ECC_Acceptance \
	CRYS_Ext_ATP_ECC_Acceptance_test_vectors \
	CRYS_Ext_ATP_HASH_Acceptance \
	CRYS_Ext_ATP_HASH_Acceptance_test_vectors \
	CRYS_Ext_ATP_HMAC_Acceptance \
	CRYS_Ext_ATP_HMAC_Acceptance_test_vectors \
	CRYS_Ext_ATP_RC4_Acceptance \
	CRYS_Ext_ATP_RC4_Acceptance_test_vectors \
	CRYS_Ext_ATP_RND_Acceptance \
	CRYS_Ext_ATP_RSA_Acceptance \
	CRYS_Ext_ATP_RSA_Acceptance_test_vectors \
	ExtApp_ATP_menu \
	SST_EXT_MENU \
	CRYS_SST_Ext_ATP_Asym \
	CRYS_SST_Ext_ATP_Sym \
	SST_Ext_ATP_Authenticators \
	SST_Ext_ATP_AuthenticatorsTstVectors \
	SST_Ext_ATP_Data \
	SST_Ext_ATP_DataTstVectors \
	SST_Ext_ATP_Index \
	SST_Ext_ATP_IndexTstVectors \
	SST_Ext_ATP_Iterators \
	SST_Ext_ATP_IteratorsTstVectors \
	SST_Ext_ATP_MM \
	SST_Ext_ATP_RollBack \
	SST_Ext_ATP_SpecialData \
	SST_Ext_ATP_SpecialDataTstVectors \
	SST_Ext_ATP_Utility \
	SST_Ext_ATP_InitTerminate \
	KMNG_Ext_ATP_TST_menu \
	KMNG_Ext_ATP_ActivateKeys \
	KMNG_Ext_ATP_ImportExportKeys \
	KMNG_Ext_ATP_TestVectors
$(COMP_NAME)_MAIN_OBJ_NAMES := \
	ExtApp_ATP_main

#Use the above specific settings for building the components properties with the standard rules:
include $(MF_PATH)CC6_STD_RULES.inc

##  OBJECT RULES - ADD RULES FOR NEW SOURCE FILES
#   make sure to add obj_name to the above list: $(COMP_NAME)_OBJS
#   this is the template for rules:
#$(OUT_OBJ_PATH)<<OBJ_NAME>>.$(OBJEXT): $(HOST_PATH)<<SOURCE_PATH>>
#	$(TLK_SCLK_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@


$(OUT_OBJ_PATH)CRYS_Ext_ATP_AES_Acceptance.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/AES/tsrc/CRYS_Ext_ATP_AES_Acceptance.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_AES_Acceptance_test_vectors.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/AES/tsrc/CRYS_Ext_ATP_AES_Acceptance_test_vectors.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_TST_AES_MAIN.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/ATP_TST_MAIN/tsrc/CRYS_Ext_ATP_TST_AES_MAIN.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_TST_DES_MAIN.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/ATP_TST_MAIN/tsrc/CRYS_Ext_ATP_TST_DES_MAIN.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@
	
$(OUT_OBJ_PATH)CRYS_Ext_ATP_TST_HASH_MAIN.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/ATP_TST_MAIN/tsrc/CRYS_Ext_ATP_TST_HASH_MAIN.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_TST_HMAC_MAIN.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/ATP_TST_MAIN/tsrc/CRYS_Ext_ATP_TST_HMAC_MAIN.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_TST_DH_MAIN.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/ATP_TST_MAIN/tsrc/CRYS_Ext_ATP_TST_DH_MAIN.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_TST_ECC_MAIN.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/ATP_TST_MAIN/tsrc/CRYS_Ext_ATP_TST_ECC_MAIN.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_TST_RND_MAIN.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/ATP_TST_MAIN/tsrc/CRYS_Ext_ATP_TST_RND_MAIN.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_TST_menu.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/ATP_TST_MAIN/tsrc/CRYS_Ext_ATP_TST_menu.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_TST_RC4_MAIN.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/ATP_TST_MAIN/tsrc/CRYS_Ext_ATP_TST_RC4_MAIN.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_TST_RSA_MAIN.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/ATP_TST_MAIN/tsrc/CRYS_Ext_ATP_TST_RSA_MAIN.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_DES_Acceptance.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/DES/tsrc/CRYS_Ext_ATP_DES_Acceptance.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_DES_Acceptance_test_vectors.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/DES/tsrc/CRYS_Ext_ATP_DES_Acceptance_test_vectors.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_HASH_Acceptance.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/HASH/tsrc/CRYS_Ext_ATP_HASH_Acceptance.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_HASH_Acceptance_test_vectors.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/HASH/tsrc/CRYS_Ext_ATP_HASH_Acceptance_test_vectors.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_HMAC_Acceptance.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/HMAC/tsrc/CRYS_Ext_ATP_HMAC_Acceptance.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_HMAC_Acceptance_test_vectors.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/HMAC/tsrc/CRYS_Ext_ATP_HMAC_Acceptance_test_vectors.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_RC4_Acceptance.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/RC4/tsrc/CRYS_Ext_ATP_RC4_Acceptance.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_RC4_Acceptance_test_vectors.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/RC4/tsrc/CRYS_Ext_ATP_RC4_Acceptance_test_vectors.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_RSA_Acceptance.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/RSA/tsrc/CRYS_Ext_ATP_RSA_Acceptance.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_RSA_Acceptance_test_vectors.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/RSA/tsrc/CRYS_Ext_ATP_RSA_Acceptance_test_vectors.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_DH_Acceptance.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/DH/tsrc/CRYS_Ext_ATP_DH_Acceptance.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_DH_Acceptance_test_vectors.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/DH/tsrc/CRYS_Ext_ATP_DH_Acceptance_test_vectors.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_ECC_Acceptance.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/ECC/tsrc/CRYS_Ext_ATP_ECC_Acceptance.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_ECC_Acceptance_test_vectors.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/ECC/tsrc/CRYS_Ext_ATP_ECC_Acceptance_test_vectors.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_Ext_ATP_RND_Acceptance.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/CRYS_ExtApp_ATP/RND/tsrc/CRYS_Ext_ATP_RND_Acceptance.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)ExtApp_ATP_menu.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/Ext_ATP_Menu/tsrc/ExtApp_ATP_menu.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)ExtApp_ATP_main.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/Ext_ATP_Menu/tsrc/ExtApp_ATP_main.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_EXT_MENU.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/ATP_TST_MAIN/tsrc/SST_EXT_MENU.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_SST_Ext_ATP_Asym.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/tsrc/CRYS_SST_Ext_ATP_Asym.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_SST_Ext_ATP_Sym.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/tsrc/CRYS_SST_Ext_ATP_Sym.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_Ext_ATP_Authenticators.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/tsrc/SST_Ext_ATP_Authenticators.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_Ext_ATP_AuthenticatorsTstVectors.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/tsrc/SST_Ext_ATP_AuthenticatorsTstVectors.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_Ext_ATP_Data.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/tsrc/SST_Ext_ATP_Data.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_Ext_ATP_DataTstVectors.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/tsrc/SST_Ext_ATP_DataTstVectors.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_Ext_ATP_Index.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/tsrc/SST_Ext_ATP_Index.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_Ext_ATP_IndexTstVectors.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/tsrc/SST_Ext_ATP_IndexTstVectors.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_Ext_ATP_Iterators.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/tsrc/SST_Ext_ATP_Iterators.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_Ext_ATP_IteratorsTstVectors.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/tsrc/SST_Ext_ATP_IteratorsTstVectors.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_Ext_ATP_MM.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/tsrc/SST_Ext_ATP_MM.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_Ext_ATP_RollBack.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/tsrc/SST_Ext_ATP_RollBack.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_Ext_ATP_SpecialData.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/tsrc/SST_Ext_ATP_SpecialData.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_Ext_ATP_SpecialDataTstVectors.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/tsrc/SST_Ext_ATP_SpecialDataTstVectors.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_Ext_ATP_Utility.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/tsrc/SST_Ext_ATP_Utility.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_Ext_ATP_InitTerminate.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/SST_ExtApp_ATP/tsrc/SST_Ext_ATP_InitTerminate.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)KMNG_Ext_ATP_TST_menu.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/KMNG_ExtApp_ATP/ATP_TST_MAIN/tsrc/KMNG_Ext_ATP_TST_menu.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)KMNG_Ext_ATP_ActivateKeys.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/KMNG_ExtApp_ATP/tsrc/KMNG_Ext_ATP_ActivateKeys.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)KMNG_Ext_ATP_ImportExportKeys.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/KMNG_ExtApp_ATP/tsrc/KMNG_Ext_ATP_ImportExportKeys.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)KMNG_Ext_ATP_TestVectors.$(OBJEXT): $(HOST_PATH)EXTAPP_ATP/KMNG_ExtApp_ATP/tsrc/KMNG_Ext_ATP_TestVectors.c
	$(EXTAPP_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@
