# DX_CC6_CORE_HOST_SIDE makefile
# KMNG_ATP component
#

COMP_NAME := $(KMNG_ATP_ID)

#id's of the components this component depends on
$(COMP_NAME)_DEPEND_ON_APIS := $(SHARED_ATP_ID) $(CRYS_KMNG_ID) $(KMNG_ID) $(SST_ID) $(INIT_ID) $(CRYS_ID) $(VOS_ID) $(CC6_GEN_ID)

#id's of the components whose objects are used by this component
$(COMP_NAME)_USE_OBJ_IDS :=  $(SHARED_ATP_ID)

#paths of this component API include directories
$(COMP_NAME)_API_INCL_PATH := \
	$(HOST_PATH)KMNG_TST/ATP_TST/tinc/ \
	$(HOST_PATH)DX_SST6_API/inc/ \
	$(HOST_PATH)KMNG_TST/TST_UTIL/tinc/

#paths of the internal include directories
$(COMP_NAME)_INTERNAL_INCL_PATH := \
	$(HOST_PATH)KMNG_TST/SYS_TST/tinc/

#global flags for this component will be added here
#project-specific flags for this component should be added to $($(COMP_NAME)_SPECIFIC_CCFLAGS) outside of this makefile
$(COMP_NAME)_CCFLAGS := 

#the objects names without path or extension
$(COMP_NAME)_OBJ_NAMES := \
	KMNG_ATP_TST_KeysOp \
	KMNG_ATP_TST_KeysOp_Data KMNG_ATP_TST_ManageOp \
	KMNG_ATP_TST_ManageOp_Data KMNG_ATP_TST_menu \
	KMNG_TST_Utils  

$(COMP_NAME)_MAIN_OBJ_NAMES := \
	KMNG_ATP_TST_main

#Use the above specific settings for building the components properties with the standard rules:
include $(MF_PATH)CC6_STD_RULES.inc

##  OBJECT RULES - ADD RULES FOR NEW SOURCE FILES
#   make sure to add obj_name to the above list: $(COMP_NAME)_OBJS
#   this is the template for rules:
#$(OUT_OBJ_PATH)<<OBJ_NAME>>.$(OBJEXT): $(HOST_PATH)<<SOURCE_PATH>>
#	$(KMNG_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@


$(OUT_OBJ_PATH)KMNG_ATP_TST_KeysOp.$(OBJEXT): $(HOST_PATH)KMNG_TST/ATP_TST/tsrc/KMNG_ATP_TST_KeysOp.c
	$(KMNG_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)KMNG_ATP_TST_KeysOp_Data.$(OBJEXT): $(HOST_PATH)KMNG_TST/ATP_TST/tsrc/KMNG_ATP_TST_KeysOp_Data.c
	$(KMNG_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)KMNG_ATP_TST_ManageOp.$(OBJEXT): $(HOST_PATH)KMNG_TST/ATP_TST/tsrc/KMNG_ATP_TST_ManageOp.c
	$(KMNG_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)KMNG_ATP_TST_ManageOp_Data.$(OBJEXT): $(HOST_PATH)KMNG_TST/ATP_TST/tsrc/KMNG_ATP_TST_ManageOp_Data.c
	$(KMNG_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)KMNG_ATP_TST_menu.$(OBJEXT): $(HOST_PATH)KMNG_TST/ATP_TST/tsrc/KMNG_ATP_TST_menu.c
	$(KMNG_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)KMNG_ATP_TST_main.$(OBJEXT): $(HOST_PATH)KMNG_TST/ATP_TST/tsrc/KMNG_ATP_TST_main.c
	$(KMNG_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)KMNG_TST_Utils.$(OBJEXT): $(HOST_PATH)KMNG_TST/TST_UTIL/tsrc/KMNG_TST_Utils.c
	$(KMNG_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@
