# DX_CC6_CORE_HOST_SIDE makefile
# MNG_ATP component
#

COMP_NAME := $(MNG_ATP_ID)

#id's of the components this component depends on
$(COMP_NAME)_DEPEND_ON_APIS := $(SHARED_ATP_ID) $(MNG_ID) $(KMNG_ID) $(SST_ID) $(INIT_ID) $(CRYS_ID) $(NVS_ID) $(VOS_ID) $(CC6_GEN_ID)

#id's of the components whose objects are used by this component
$(COMP_NAME)_USE_OBJ_IDS :=  $(SHARED_ATP_ID)

#paths of this component API include directories
$(COMP_NAME)_API_INCL_PATH := \
	$(HOST_PATH)MNG_TST/ATP_TST/tinc/ \
	$(HOST_PATH)SEP_ERRORS/
	

#paths of the internal include directories
$(COMP_NAME)_INTERNAL_INCL_PATH := \
	$(HOST_PATH)MNG_TST/SYS_TST/tinc/ \
	$(HOST_PATH)MNG_TST/TST_UTIL/tinc/ \
	$(BASE_PATH)/Sep_ram/mng/inc/ \
	$(BASE_PATH)/Sep/Lcs/inc/ \
	$(BASE_PATH)/Sep/Gen/inc/ \
	$(BASE_PATH)/Sep_ram/Parser/inc/

#global flags for this component
#project-specific flags for this component should be added to $($(COMP_NAME)_SPECIFIC_CCFLAGS) outside of this makefile
$(COMP_NAME)_CCFLAGS := 

#the objects names without path or extension
$(COMP_NAME)_OBJ_NAMES := \
	MNG_ATP_TST \
	MNG_ATP_TST_Data MNG_ATP_TST_menu \
	MNG_TST_Utils 

ifeq ($(MNG_ATP_SPEC_LCS),true)
	$(COMP_NAME)_OBJ_NAMES += \
		MNG_ATP_TST_Specific_LCS \
		MNG_ATP_TST_Specific_LCS_Data
endif

$(COMP_NAME)_MAIN_OBJ_NAMES := \
	MNG_ATP_TST_main

#Use the above specific settings for building the components properties with the standard rules:
include $(MF_PATH)CC6_STD_RULES.inc

##  OBJECT RULES - ADD RULES FOR NEW SOURCE FILES
#   make sure to add obj_name to the above list: $(COMP_NAME)_OBJS
#   this is the template for rules:
#$(OUT_OBJ_PATH)<<OBJ_NAME>>.$(OBJEXT): $(HOST_PATH)<<SOURCE_PATH>>
#	$(MNG_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@


$(OUT_OBJ_PATH)MNG_ATP_TST.$(OBJEXT): $(HOST_PATH)MNG_TST/ATP_TST/tsrc/MNG_ATP_TST.c
	$(MNG_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)MNG_ATP_TST_Data.$(OBJEXT): $(HOST_PATH)MNG_TST/ATP_TST/tsrc/MNG_ATP_TST_Data.c
	$(MNG_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)MNG_ATP_TST_menu.$(OBJEXT): $(HOST_PATH)MNG_TST/ATP_TST/tsrc/MNG_ATP_TST_menu.c
	$(MNG_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)MNG_ATP_TST_main.$(OBJEXT): $(HOST_PATH)MNG_TST/ATP_TST/tsrc/MNG_ATP_TST_main.c
	$(MNG_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)MNG_TST_Utils.$(OBJEXT): $(HOST_PATH)MNG_TST/TST_UTIL/tsrc/MNG_TST_Utils.c
	$(MNG_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)MNG_ATP_TST_Specific_LCS.$(OBJEXT): $(HOST_PATH)MNG_TST/ATP_TST/tsrc/MNG_ATP_TST_Specific_LCS.c
	$(MNG_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)MNG_ATP_TST_Specific_LCS_Data.$(OBJEXT): $(HOST_PATH)MNG_TST/ATP_TST/tsrc/MNG_ATP_TST_Specific_LCS_Data.c
	$(MNG_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@
