# DX_CC6_CORE_HOST_SIDE makefile
# SST_ATP component
#

COMP_NAME := $(SST_ATP_ID)

#id's of the components this component depends on
$(COMP_NAME)_DEPEND_ON_APIS := $(SHARED_ATP_ID) $(SST_ID) $(NVS_ID) $(CRYS_ID) $(INIT_ID) $(VOS_ID) $(CC6_GEN_ID) $(KMNG_ID)

#id's of the components whose objects are used by this component
$(COMP_NAME)_USE_OBJ_IDS :=  $(SHARED_ATP_ID)

#paths of this component API include directories
$(COMP_NAME)_API_INCL_PATH := \
	$(HOST_PATH)SST_ATP/MAIN/tinc/ \
	$(HOST_PATH)SST_ATP/UTIL/tinc/

#paths of the internal include directories
$(COMP_NAME)_INTERNAL_INCL_PATH := \
	$(HOST_PATH)SST_ATP/ATP/tinc/

#global flags for this component will be added here
#project-specific flags for this component should be added to $($(COMP_NAME)_SPECIFIC_CCFLAGS) outside of this makefile
$(COMP_NAME)_CCFLAGS := 

#the objects names without path or extension
$(COMP_NAME)_OBJ_NAMES := \
	CRYS_SST_TST_ATP_Asym \
	CRYS_SST_TST_ATP_Sym SST_TST_ATP_Authenticators \
	SST_TST_ATP_AuthenticatorsTstVectors SST_TST_ATP_Data \
	SST_TST_ATP_DataTstVectors SST_TST_ATP_Index \
	SST_TST_ATP_IndexTstVectors SST_TST_ATP_InitTerminate \
	SST_TST_ATP_Iterators SST_TST_ATP_IteratorsTstVectors \
	SST_TST_ATP_RollBack SST_TST_ATP_SpecialData \
	SST_TST_ATP_SpecialDataTstVectors SST_TST_ATP_Utility \
	SST_TST_ATP_MM \
	SST_TST_MENU SST_TST_UTIL

$(COMP_NAME)_MAIN_OBJ_NAMES := \
	SST_TST_MAIN

#Use the above specific settings for building the components properties with the standard rules:
include $(MF_PATH)CC6_STD_RULES.inc

##  OBJECT RULES - ADD RULES FOR NEW SOURCE FILES
#   make sure to add obj_name to the above list: $(COMP_NAME)_OBJS
#   this is the template for rules:
#$(OUT_OBJ_PATH)<<OBJ_NAME>>.$(OBJEXT): $(HOST_PATH)<<SOURCE_PATH>>
#	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@


$(OUT_OBJ_PATH)CRYS_SST_TST_ATP_Asym.$(OBJEXT): $(HOST_PATH)SST_ATP/ATP/tsrc/CRYS_SST_TST_ATP_Asym.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)CRYS_SST_TST_ATP_Sym.$(OBJEXT): $(HOST_PATH)SST_ATP/ATP/tsrc/CRYS_SST_TST_ATP_Sym.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_TST_ATP_Authenticators.$(OBJEXT): $(HOST_PATH)SST_ATP/ATP/tsrc/SST_TST_ATP_Authenticators.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_TST_ATP_AuthenticatorsTstVectors.$(OBJEXT): $(HOST_PATH)SST_ATP/ATP/tsrc/SST_TST_ATP_AuthenticatorsTstVectors.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_TST_ATP_Data.$(OBJEXT): $(HOST_PATH)SST_ATP/ATP/tsrc/SST_TST_ATP_Data.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_TST_ATP_DataTstVectors.$(OBJEXT): $(HOST_PATH)SST_ATP/ATP/tsrc/SST_TST_ATP_DataTstVectors.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_TST_ATP_Index.$(OBJEXT): $(HOST_PATH)SST_ATP/ATP/tsrc/SST_TST_ATP_Index.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_TST_ATP_IndexTstVectors.$(OBJEXT): $(HOST_PATH)SST_ATP/ATP/tsrc/SST_TST_ATP_IndexTstVectors.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_TST_ATP_InitTerminate.$(OBJEXT): $(HOST_PATH)SST_ATP/ATP/tsrc/SST_TST_ATP_InitTerminate.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_TST_ATP_Iterators.$(OBJEXT): $(HOST_PATH)SST_ATP/ATP/tsrc/SST_TST_ATP_Iterators.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_TST_ATP_IteratorsTstVectors.$(OBJEXT): $(HOST_PATH)SST_ATP/ATP/tsrc/SST_TST_ATP_IteratorsTstVectors.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_TST_ATP_RollBack.$(OBJEXT): $(HOST_PATH)SST_ATP/ATP/tsrc/SST_TST_ATP_RollBack.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_TST_ATP_SpecialData.$(OBJEXT): $(HOST_PATH)SST_ATP/ATP/tsrc/SST_TST_ATP_SpecialData.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_TST_ATP_SpecialDataTstVectors.$(OBJEXT): $(HOST_PATH)SST_ATP/ATP/tsrc/SST_TST_ATP_SpecialDataTstVectors.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_TST_ATP_Utility.$(OBJEXT): $(HOST_PATH)SST_ATP/ATP/tsrc/SST_TST_ATP_Utility.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_TST_MAIN.$(OBJEXT): $(HOST_PATH)SST_ATP/MAIN/tsrc/SST_TST_MAIN.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_TST_MENU.$(OBJEXT): $(HOST_PATH)SST_ATP/MAIN/tsrc/SST_TST_MENU.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_TST_UTIL.$(OBJEXT): $(HOST_PATH)SST_ATP/UTIL/tsrc/SST_TST_UTIL.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)SST_TST_ATP_MM.$(OBJEXT): $(HOST_PATH)SST_ATP/ATP/tsrc/SST_TST_ATP_MM.c
	$(SST_ATP_CC_CMD) $< $(CCFLAG_OUTPUT) $@
