# DX_CC6_CORE_HOST_SIDE makefile
# TLK_SCLK component
#

COMP_NAME := $(TLK_SCLK_ID)

#id's of the components this component depends on
$(COMP_NAME)_DEPEND_ON_APIS := $(SST_ID) $(CRYS_KMNG_ID) $(KMNG_ID) $(CRYS_ID) $(VOS_ID) $(CC6_GEN_ID) $(NVS_ID)

#paths of this component API include directories
$(COMP_NAME)_API_INCL_PATH := \
	$(HOST_PATH)TLK_SCLK_API/ext_inc/ \
	$(HOST_PATH)TLK_SCLK_CONFIG/inc 

#paths of the internal include directories
$(COMP_NAME)_INTERNAL_INCL_PATH := \
	$(HOST_PATH)TLK_SCLK/inc/ 

#global flags for this component
#project-specific flags for this component should be added to $($(COMP_NAME)_SPECIFIC_CCFLAGS) outside of this makefile
$(COMP_NAME)_CCFLAGS := -DSCLK_ON_SEP

#the objects names without path or extension
$(COMP_NAME)_OBJ_NAMES := \
	tlk_sclk_api \
	tlk_sclk_version

#Use the above specific settings for building the components properties with the standard rules:
include $(MF_PATH)CC6_STD_RULES.inc

##  OBJECT RULES - ADD RULES FOR NEW SOURCE FILES
#   make sure to add obj_name to the above list: $(COMP_NAME)_OBJS
#   this is the template for rules:
#$(OUT_OBJ_PATH)<<OBJ_NAME>>.$(OBJEXT): $(HOST_PATH)<<SOURCE_PATH>>
#	$(TLK_SCLK_CC_CMD) $< $(CCFLAG_OUTPUT) $@


$(OUT_OBJ_PATH)tlk_sclk_api.$(OBJEXT): $(HOST_PATH)TLK_SCLK/src/tlk_sclk_api.c
	$(TLK_SCLK_CC_CMD) $< $(CCFLAG_OUTPUT) $@

$(OUT_OBJ_PATH)tlk_sclk_version.$(OBJEXT): $(HOST_PATH)TLK_SCLK/src/tlk_sclk_version.c
	$(TLK_SCLK_CC_CMD) $< $(CCFLAG_OUTPUT) $@



